<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

/**
 * オプション初期値
 * @var array 
 */
global $pospa_default_options;
$pospa_default_options = array(
	'logotop' => 0,
	'logoleft' => 0,
	'pickedcolor1' => '1EC3CE',
	'pickedcolor2' => '046C99',
	'pickedcolor3' => '3BAFE1',
	'content_font_size' => '13',
	'show_date' => 1,
	'show_category' => 1,
	'show_tag' => 1,
	'show_comment' => 1,
	'show_timestamp' => '',
	'show_author' => 1,
	'show_est' => 1,
	'show_trackback' => 1,
	'show_related_post' => 1,
	'show_next_post' => 1,
	'show_thumbnail' => 1,
	'show_rss' => 1,
	'show_bookmark' => 1,
	'show_slider' => 1,
	'layout'  => 'right',
	'twitter_url' => '',
	'facebook_url' => '',
	'custom_search_id' => '',
	'single_code1' => '',
	'single_code2' => '',
	'single_code3' => '',
	'header_code' => '',
	'footer_code' => '',
	'archive_code1' => '',
	'archive_code2' => '',
	'page_code1' => '',
	'page_code2' => '',
	'css_code' => '.example { font-size:12px; }',
	'index_category1'  => '',
	'index_category2'  => '',
	'index_category3'  => '',
	'index_category4'  => '',
	'index_category5'  => '',
	'post_list_type1' => 'type1',
	'post_list_type2' => 'type1',
	'post_list_type3' => 'type1',
	'post_list_type4' => 'type1',
	'post_list_type5' => 'type1',
	'recent_post_list_type' => 'type1',
	'index_free1' => '',
	'index_free2' => '',
	'index_free_mobile1' => '',
	'index_free_mobile2' => '',
	'header_type'  => 'slider',
	'slider_type' => 'recent_post',
	'slider_num' => 5,
	'slider_excerpt' => '150',
	'use_style_headline' => 1,
	'single_code1_mobile' => '',
	'single_code2_mobile' => '',
	'single_code3_mobile' => '',
	'header_code_mobile' => '',
	'footer_code_mobile' => '',
	'archive_code1_mobile' => '',
	'archive_code2_mobile' => '',
	'page_code1_mobile' => '',
	'page_code2_mobile' => '',
	'posttype'  => 'type1',
	'show_sort' => 1,
	'index_recent_headline1' => __('Recent Post', 'lifefit'),
	'index_recent_headline2' => '',
	'index_recent_post_style' => '',
	'index_recent_post_num' => '10',
	'mokuji_free1' => '',
	'mokuji_free2' => '',
	'mokuji_design_type' => 'type1',
	'mokuji' => array(),
	'sortable_order' => array('recent_post_list', 'mokuji', 'post_list1', 'post_list2', 'post_list3', 'post_list4', 'post_list5','index_free1','index_free2')
);

/**
 * オプションを返す
 * @global array $pospa_default_options
 * @return array 
 */
function get_pospa_option(){
	global $pospa_default_options;
	return shortcode_atts($pospa_default_options, get_option('pospa_options', array()));
}



// カラーピッカーの準備 その他javascriptの読み込み
add_action('admin_print_scripts', 'my_admin_print_scripts');
function my_admin_print_scripts() {
  wp_enqueue_script('jscolor', get_template_directory_uri().'/admin/js/jscolor.js');
  wp_enqueue_script('jquery.cookieTab', get_template_directory_uri().'/admin/js/jquery.cookieTab.js');
  wp_enqueue_script('jquery-ui-sortable');
  wp_enqueue_script('my_script', get_template_directory_uri().'/admin/js/my_script.js');
}



// 画像アップロードの準備
function wp_gear_manager_admin_scripts() {
wp_enqueue_script('dp-image-manager', get_template_directory_uri().'/admin/js/image-manager.js', array('jquery', 'jquery-ui-draggable', 'imgareaselect'));
}
function wp_gear_manager_admin_styles() {
wp_enqueue_style('imgareaselect');
}
add_action('admin_print_scripts', 'wp_gear_manager_admin_scripts');
add_action('admin_print_styles', 'wp_gear_manager_admin_styles');



// 登録
function theme_options_init(){
 register_setting( 'lifefit_pospa_options', 'pospa_options', 'theme_options_validate' );
}


// ロード
function theme_options_add_page() {
 add_theme_page( __( 'Theme Options', 'lifefit' ), __( 'Theme Options', 'lifefit' ), 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}


/* レイアウトの初期設定 */
global $layout_options;
$layout_options = array(
 'right' => array('value' => 'right','label' => __( 'Right', 'lifefit' ),'img' => 'right_side'),
 'left' => array('value' => 'left','label' => __( 'Left', 'lifefit' ),'img' => 'left_side'),
 'three_column1' => array('value' => 'three_column1','label' => __( 'Three column1', 'lifefit' ),'img' => 'three_column1'),
 'three_column2' => array('value' => 'three_column2','label' => __( 'Three column2', 'lifefit' ),'img' => 'three_column2')
);


//トップページのカテゴリー1の初期設定
global $index_category1_options;
$index_category1_options[0] = array('value' => 0, 'label' => '');
$dp_cats = get_categories();
foreach( $dp_cats as $dp_cat ) :
 $index_category1_options[$dp_cat->cat_ID] = array('value' => $dp_cat->cat_ID, 'label' => $dp_cat->cat_name);
endforeach;


//トップページのカテゴリー2の初期設定
global $index_category2_options;
$index_category2_options[0] = array('value' => 0, 'label' => '');
$dp_cats2 = get_categories();
foreach( $dp_cats2 as $dp_cat2 ) :
 $index_category2_options[$dp_cat2->cat_ID] = array('value' => $dp_cat2->cat_ID,'label' => $dp_cat2->cat_name);
endforeach;


//トップページのカテゴリー3の初期設定
global $index_category3_options;
$index_category3_options[0] = array('value' => 0, 'label' => '');
$dp_cats3 = get_categories();
foreach( $dp_cats3 as $dp_cat3 ) :
 $index_category3_options[$dp_cat3->cat_ID] = array('value' => $dp_cat3->cat_ID,'label' => $dp_cat3->cat_name);
endforeach;


//トップページのカテゴリー4の初期設定
global $index_category4_options;
$index_category4_options[0] = array('value' => 0, 'label' => '');
$dp_cats4 = get_categories();
foreach( $dp_cats4 as $dp_cat4 ) :
 $index_category4_options[$dp_cat4->cat_ID] = array('value' => $dp_cat4->cat_ID,'label' => $dp_cat4->cat_name);
endforeach;


//トップページのカテゴリー5の初期設定
global $index_category5_options;
$index_category5_options[0] = array('value' => 0, 'label' => '');
$dp_cats5 = get_categories();
foreach( $dp_cats5 as $dp_cat5 ) :
 $index_category5_options[$dp_cat5->cat_ID] = array('value' => $dp_cat5->cat_ID,'label' => $dp_cat5->cat_name);
endforeach;


//トップページのカテゴリー1の記事タイプの初期設定
global $post_list_type1_options;
$post_list_type1_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design List1', 'lifefit' ),'img' => 'layout_type1'),
 'type2' => array('value' => 'type2','label' => __( 'Design List2', 'lifefit' ),'img' => 'layout_type2'),
 'type3' => array('value' => 'type3','label' => __( 'Design List3', 'lifefit' ),'img' => 'layout_type3'),
 'type4' => array('value' => 'type4','label' => __( 'Design List4', 'lifefit' ),'img' => 'layout_type4'),
 'type5' => array('value' => 'type5','label' => __( 'Design List5', 'lifefit' ),'img' => 'layout_type5')
);


//トップページのカテゴリー2の記事タイプの初期設定
global $post_list_type2_options;
$post_list_type2_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design List1', 'lifefit' ),'img' => 'layout_type1'),
 'type2' => array('value' => 'type2','label' => __( 'Design List2', 'lifefit' ),'img' => 'layout_type2'),
 'type3' => array('value' => 'type3','label' => __( 'Design List3', 'lifefit' ),'img' => 'layout_type3'),
 'type4' => array('value' => 'type4','label' => __( 'Design List4', 'lifefit' ),'img' => 'layout_type4'),
 'type5' => array('value' => 'type5','label' => __( 'Design List5', 'lifefit' ),'img' => 'layout_type5')
);


//トップページのカテゴリー3の記事タイプの初期設定
global $post_list_type3_options;
$post_list_type3_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design List1', 'lifefit' ),'img' => 'layout_type1'),
 'type2' => array('value' => 'type2','label' => __( 'Design List2', 'lifefit' ),'img' => 'layout_type2'),
 'type3' => array('value' => 'type3','label' => __( 'Design List3', 'lifefit' ),'img' => 'layout_type3'),
 'type4' => array('value' => 'type4','label' => __( 'Design List4', 'lifefit' ),'img' => 'layout_type4'),
 'type5' => array('value' => 'type5','label' => __( 'Design List5', 'lifefit' ),'img' => 'layout_type5')
);


//トップページのカテゴリー4の記事タイプの初期設定
global $post_list_type4_options;
$post_list_type4_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design List1', 'lifefit' ),'img' => 'layout_type1'),
 'type2' => array('value' => 'type2','label' => __( 'Design List2', 'lifefit' ),'img' => 'layout_type2'),
 'type3' => array('value' => 'type3','label' => __( 'Design List3', 'lifefit' ),'img' => 'layout_type3'),
 'type4' => array('value' => 'type4','label' => __( 'Design List4', 'lifefit' ),'img' => 'layout_type4'),
 'type5' => array('value' => 'type5','label' => __( 'Design List5', 'lifefit' ),'img' => 'layout_type5')
);


//トップページのカテゴリー5の記事タイプの初期設定
global $post_list_type5_options;
$post_list_type5_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design List1', 'lifefit' ),'img' => 'layout_type1'),
 'type2' => array('value' => 'type2','label' => __( 'Design List2', 'lifefit' ),'img' => 'layout_type2'),
 'type3' => array('value' => 'type3','label' => __( 'Design List3', 'lifefit' ),'img' => 'layout_type3'),
 'type4' => array('value' => 'type4','label' => __( 'Design List4', 'lifefit' ),'img' => 'layout_type4'),
 'type5' => array('value' => 'type5','label' => __( 'Design List5', 'lifefit' ),'img' => 'layout_type5')
);


//トップページの最新記事タイプの初期設定
global $recent_post_list_type_options;
$recent_post_list_type_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design List1', 'lifefit' ),'img' => 'layout_type1'),
 'type2' => array('value' => 'type2','label' => __( 'Design List2', 'lifefit' ),'img' => 'layout_type2'),
 'type3' => array('value' => 'type3','label' => __( 'Design List3', 'lifefit' ),'img' => 'layout_type3'),
 'type4' => array('value' => 'type4','label' => __( 'Design List4', 'lifefit' ),'img' => 'layout_type4'),
 'type5' => array('value' => 'type5','label' => __( 'Design List5', 'lifefit' ),'img' => 'layout_type5')
);


//トップページのスライダータイプの初期設定
global $slider_type_options;
$slider_type_options = array(
 'recent_post' => array('value' => 'recent_post','label' => __( 'Recent post', 'lifefit' )),
 'recommend_post' => array('value' => 'recommend_post','label' => __( 'Recommend post', 'lifefit' )),
);


// コンテンツスライダー数の初期設定
global $slider_num_options;
$slider_num_options = array(
 '5' => array('value' => '5','label' => '5'),
 '6' => array('value' => '6','label' => '6'),
 '7' => array('value' => '7','label' => '7'),
 '8' => array('value' => '8','label' => '8'),
 '9' => array('value' => '9','label' => '9'),
 '10' => array('value' => '10','label' => '10'),
);


// ヘッダーコンテンツのタイプ
global $header_type_options;
$header_type_options = array(
 'slider' => array('value' => 'slider','label' => __( 'Content slider', 'lifefit' ),),
 'image' => array('value' => 'image','label' => __( 'Custom Image', 'lifefit' ),),
 'no_header' => array('value' => 'no_header','label' => __( 'Display none', 'lifefit' ),)
);


/* アーカイブページの記事設定 */
global $posttype_options;
$posttype_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Post list with thumbnails', 'lifefit' )),
 'type2' => array('value' => 'type2','label' => __( 'Post list without thumbnails', 'lifefit' ))
);


//目次デザインタイプ
global $mokuji_design_type_options;
$mokuji_design_type_options = array(
 'type1' => array('value' => 'type1','label' => __( 'Design Type1', 'lifefit' )),
 'type2' => array('value' => 'type2','label' => __( 'Design Type1 (border)', 'lifefit' )),
 'type5' => array('value' => 'type5','label' => __( 'Design Type1 (number)', 'lifefit' )),
 'type6' => array('value' => 'type6','label' => __( 'Design Type1 (number with border)', 'lifefit' )),
 'type3' => array('value' => 'type3','label' => __( 'Design Type2', 'lifefit' )),
 'type4' => array('value' => 'type4','label' => __( 'Design Type2 (border)', 'lifefit' )),
 'type7' => array('value' => 'type7','label' => __( 'Design Type2 (number)', 'lifefit' )),
 'type8' => array('value' => 'type8','label' => __( 'Design Type2 (number with border)', 'lifefit' ))
);


//目次タイプ
global $mokuji_type_options;
$mokuji_type_options = array(
 'type2' => array('value' => 'type2', 'title' => __( 'Chapter', 'lifefit' ), 'input' => 'hidden'),
 'type1' => array('value' => 'type1', 'title' => __( 'Index', 'lifefit' ), 'input' => 'checkbox', 'label' => __( 'Use this item for Index', 'lifefit' ))
);


// 目次追加時のデフォルト設定
global $mokuji_default;
$mokuji_default = array(
 'mokuji_type' => 'type2',
 'mokuji_label' => '',
 'mokuji_link' => ''
);


// テーマオプション画面の作成
function theme_options_do_page() {
 global $layout_options, $index_category1_options, $index_category2_options, $index_category3_options, $index_category4_options, $index_category5_options, $post_list_type1_options, $post_list_type2_options, $post_list_type3_options, $post_list_type4_options, $post_list_type5_options, $slider_type_options, $slider_num_options, $recent_post_list_type_options, $header_type_options, $posttype_options, $mokuji_design_type_options, $mokuji_type_options, $mokuji_default, $dp_upload_error;
 $options = get_pospa_option(); 

 if ( ! isset( $_REQUEST['settings-updated'] ) )
  $_REQUEST['settings-updated'] = false;


?>

<div class="wrap">
 <?php screen_icon(); echo "<h2>" . __( 'Theme Options', 'lifefit' ) . "</h2>"; ?>

 <?php // 更新時のメッセージ
       if ( false !== $_REQUEST['settings-updated'] ) :
 ?>
 <div class="updated fade"><p><strong><?php _e('Updated', 'lifefit');  ?></strong></p></div>
 <?php endif; ?>

 <?php /* ファイルアップロード時のメッセージ */ if(!empty($dp_upload_error['message'])): ?>
  <?php if($dp_upload_error['error']): ?>
   <div id="error" class="error"><p><?php echo $dp_upload_error['message']; ?></p></div>
  <?php else: ?>
   <div id="message" class="updated fade"><p><?php echo $dp_upload_error['message']; ?></p></div>
  <?php endif; ?>
 <?php endif; ?>
 
 <script type="text/javascript">
  jQuery(document).ready(function($){
   $('#my_theme_option').cookieTab({
    tabMenuElm: '#theme_tab',
    tabPanelElm: '#tab-panel'
   });
  });
 </script>

 <?php //include(dirname(__FILE__).'/../functions/incinfo.php'); ?>

 <div id="my_theme_option">

 <div id="theme_tab_wrap">
  <ul id="theme_tab" class="cf">
   <li><a href="#tab-content1"><?php _e('Basic Setup', 'lifefit');  ?></a></li>
   <li><a href="#tab-content2"><?php _e('Logo Setup', 'lifefit');  ?></a></li>
   <li><a href="#tab-content3"><?php _e('Index Page Setup', 'lifefit');  ?></a></li>
   <li><a href="#tab-content4"><?php _e('Single Page Setup', 'lifefit');  ?></a></li>
   <li><a href="#tab-content5"><?php _e('Free input colum Setup', 'lifefit');  ?></a></li>
  </ul>
 </div>

<form method="post" action="options.php" enctype="multipart/form-data">
 <?php settings_fields( 'lifefit_pospa_options' ); ?>

 <div id="tab-panel">

  <!-- #tab-content1 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content1">

   <?php // サイトカラー ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Site main color', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <input type="text" class="color" name="pospa_options[pickedcolor1]" value="<?php esc_attr_e( $options['pickedcolor1'] ); ?>" />
     <input type="submit" class="button-primary" value="<?php echo __( 'Save Color', 'lifefit' ); ?>" />
    </div>
    <p color="color_scheme" id="default_color1"><?php _e('Default color', 'lifefit');  ?> ：1EC3CE</p>
   </div>

   <?php // サイトカラー２ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Link color', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <input type="text" class="color" name="pospa_options[pickedcolor2]" value="<?php esc_attr_e( $options['pickedcolor2'] ); ?>" />
     <input type="submit" class="button-primary" value="<?php echo __( 'Save Color', 'lifefit' ); ?>" />
    </div>
    <p color="color_scheme" id="default_color2"><?php _e('Default color', 'lifefit');  ?> ：046C99</p>
   </div>

   <?php // サイトカラー3 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Link hover color', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <input type="text" class="color" name="pospa_options[pickedcolor3]" value="<?php esc_attr_e( $options['pickedcolor3'] ); ?>" />
     <input type="submit" class="button-primary" value="<?php echo __( 'Save Color', 'lifefit' ); ?>" />
    </div>
    <p color="color_scheme" id="default_color3"><?php _e('Default color', 'lifefit');  ?> ：3BAFE1</p>
   </div>

   <?php // フォントサイズ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Font size', 'lifefit');  ?></h3>
    <p><?php _e('Font size of single page and wp-page.', 'lifefit');  ?></p>
    <div class="theme_option_input">
     <input id="pospa_options[content_font_size]" class="font_size" type="text" name="pospa_options[content_font_size]" value="<?php esc_attr_e( $options['content_font_size'] ); ?>" /><span>px</span>
    </div>
   </div>

   <?php // 投稿者名・タグ・コメント ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Display Setup', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <ul>
      <li><label><input id="pospa_options[show_date]" name="pospa_options[show_date]" type="checkbox" value="1" <?php checked( '1', $options['show_date'] ); ?> /> <?php _e('Display date', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_category]" name="pospa_options[show_category]" type="checkbox" value="1" <?php checked( '1', $options['show_category'] ); ?> /> <?php _e('Display category', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_tag]" name="pospa_options[show_tag]" type="checkbox" value="1" <?php checked( '1', $options['show_tag'] ); ?> /> <?php _e('Display tags', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_comment]" name="pospa_options[show_comment]" type="checkbox" value="1" <?php checked( '1', $options['show_comment'] ); ?> /> <?php _e('Display comment', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_timestamp]" name="pospa_options[show_timestamp]" type="checkbox" value="1" <?php checked( '1', $options['show_timestamp'] ); ?> /> <?php _e('Display time in comment', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_author]" name="pospa_options[show_author]" type="checkbox" value="1" <?php checked( '1', $options['show_author'] ); ?> /> <?php _e('Display author', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_thumbnail]" name="pospa_options[show_thumbnail]" type="checkbox" value="1" <?php checked( '1', $options['show_thumbnail'] ); ?> /> <?php _e('Display thumbnail', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_rss]" name="pospa_options[show_rss]" type="checkbox" value="1" <?php checked( '1', $options['show_rss'] ); ?> /> <?php _e('Display RSS at header', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_slider]" name="pospa_options[show_slider]" type="checkbox" value="1" <?php checked( '1', $options['show_slider'] ); ?> /> <?php _e('Display recommend post slider at bottom of the page', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[use_style_headline]" name="pospa_options[use_style_headline]" type="checkbox" value="1" <?php checked( '1', $options['use_style_headline'] ); ?> /> <?php _e('Use styled headline in post and pages', 'lifefit');  ?></label></li>
     </ul>
    </div>
   </div>

   <?php // サイドコンテンツの表示位置 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Layout', 'lifefit');  ?></h3>
    <div class="theme_option_input layout_option">
     <fieldset class="cf"><legend class="screen-reader-text"><span><?php _e('Layout', 'lifefit');  ?></span></legend>
     <?php
          if ( ! isset( $checked ) )
          $checked = '';
          foreach ( $layout_options as $option ) {
          $layout_setting = $options['layout'];
           if ( '' != $layout_setting ) {
            if ( $options['layout'] == $option['value'] ) {
             $checked = "checked=\"checked\"";
            } else {
             $checked = '';
            }
           }
     ?>
      <label class="description">
       <input type="radio" name="pospa_options[layout]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
       <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
       <?php echo $option['label']; ?>
      </label>
     <?php
          }
     ?>
     </fieldset>
    </div>
   </div>

   <?php // アーカイブページの記事一覧 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Archive page post list type', 'lifefit');  ?></h3>
    <div class="theme_option_input">
      <fieldset class="cf" id="posttype"><legend class="screen-reader-text"><span><?php _e('Archive page post list type', 'lifefit');  ?></span></legend>
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $posttype_options as $option ) {
            $posttype_setting = $options['posttype'];
              if ( '' != $posttype_setting ) {
                if ( $options['posttype'] == $option['value'] ) {
                  $checked = "checked=\"checked\"";
                } else {
                  $checked = '';
                }
             }
       ?>
       <label class="description">
        <input id="input_posttype_<?php esc_attr_e( $option['value'] ); ?>" type="radio" name="pospa_options[posttype]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <?php echo $option['label']; ?>
       </label>
       <?php } ?>
      </fieldset>
      <p><label><input id="pospa_options[show_sort]" name="pospa_options[show_sort]" type="checkbox" value="1" <?php checked( '1', $options['show_sort'] ); ?> /> <?php _e('Display sort button', 'lifefit');  ?></label></p>
    </div>
   </div>

   <?php // facebook twitter ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('twitter and facebook setup', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <p><?php _e('When it is blank, twitter and facebook icon will not displayed on a site.', 'lifefit');  ?></p>
     <ul>
      <li>
       <label style="display:inline-block; min-width:140px;"><?php _e('your twitter URL', 'lifefit');  ?></label>
       <input id="pospa_options[twitter_url]" class="regular-text" type="text" name="pospa_options[twitter_url]" value="<?php esc_attr_e( $options['twitter_url'] ); ?>" />
      </li>
      <li>
       <label style="display:inline-block; min-width:140px;"><?php _e('your facebook URL', 'lifefit');  ?></label>
       <input id="pospa_options[facebook_url]" class="regular-text" type="text" name="pospa_options[facebook_url]" value="<?php esc_attr_e( $options['facebook_url'] ); ?>" />
      </li>
     </ul>
    </div>
   </div>

   <?php // 検索の設定 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Using Google custom search', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <p><?php _e('If you wan\'t to use google custom search for your wordpress, enter your google custom search ID.<br /><a href="http://www.google.com/cse/" target="_blank">Read more about Google custom search page.</a>', 'lifefit');  ?></p>
     <label style="display:inline-block; margin:0 20px 0 0;"><?php _e('Google custom search ID', 'lifefit');  ?></label>
     <input id="pospa_options[custom_search_id]" class="regular-text" type="text" name="pospa_options[custom_search_id]" value="<?php esc_attr_e( $options['custom_search_id'] ); ?>" />
    </div>
   </div>

   <p class="submit"><input type="submit" class="button-primary" value="<?php echo __( 'Save Changes', 'lifefit' ); ?>" /></p>

  </div><!-- END #tab-content1 -->




  <!-- #tab-content2 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content2">

   <?php // ステップ１ ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Step 1 : Upload image to use for logo.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <p><?php _e('Upload image to use for logo from your computer.<br />You can resize your logo image in step 2 and adjust position in step 3.', 'lifefit');  ?></p>
     <div class="button_area">
      <label for="dp_image"><?php _e('Select image to use for logo from your computer.', 'lifefit');  ?></label>
      <input type="file" name="dp_image" id="dp_image" value="" />
      <input type="submit" class="button" value="<?php _e('Upload', 'lifefit');  ?>" />
     </div>
     <?php if(dp_logo_exists()): $info = dp_logo_info(); ?>
     <div class="uploaded_logo">
      <h4><?php _e('Uploaded image.', 'lifefit');  ?></h4>
      <div class="uploaded_logo_image" id="original_logo_size">
       <?php dp_logo_img_tag(false, '', '', 9999); ?>
      </div>
      <p><?php printf(__('Original image size : width %1$dpx, height %2$dpx', 'lifefit'), $info['width'], $info['height']); ?></p>
     </div>
     <?php else: ?>
     <div class="uploaded_logo">
      <h4><?php _e('The image has not been uploaded yet.<br />A normal text will be used for a site logo.', 'lifefit');  ?></h4>
     </div>
     <?php endif; ?>
    </div>
   </div>

   <?php // ステップ２ ?>
   <?php if(dp_logo_exists()): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Step 2 : Resize uploaded image.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
    <?php if(dp_logo_exists()): ?>
     <p><?php _e('You can resize uploaded image.<br />If you don\'t need to resize, go to step 3.', 'lifefit');  ?></p>
     <div class="uploaded_logo">
      <h4><?php _e('Please drag the range to cut off.<br />Max-width 1000px, Max-height 250px', 'lifefit');  ?></h4>
      <div class="uploaded_logo_image">
       <?php dp_logo_resize_base(1001); ?>
      </div>
      <div class="resize_amount">
       <label><?php _e('Ratio', 'lifefit');  ?>: <input type="text" name="dp_resize_ratio" id="dp_resize_ratio" value="100" />%</label>
       <label><?php _e('Width', 'lifefit');  ?>: <input type="text" name="dp_resized_width" id="dp_resized_width" />px</label>
       <label><?php _e('Height', 'lifefit');  ?>: <input type="text" name="dp_resized_height" id="dp_resized_height" />px</label>
      </div>
      <div id="resize_button_area">
       <input type="submit" class="button-primary" value="<?php _e('Resize', 'lifefit'); ?>" />
      </div>
     </div>
     <?php if($info = dp_logo_info(true)): ?>
     <div class="uploaded_logo">
      <h4><?php printf(__('Resized image : width %1$dpx, height %2$dpx', 'lifefit'), $info['width'], $info['height']); ?></h4>
      <div class="uploaded_logo_image">
       <?php dp_logo_img_tag(true, '', '', 1001); ?>
      </div>
     </div>
     <?php endif; ?>
    <?php endif; ?>
    </div>
   </div>
   <?php endif; ?>

   <?php // ステップ３ ?>
   <?php if(dp_logo_exists()): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Step 3 : Adjust position of logo.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
    <?php if(dp_logo_exists()): ?>
     <p><?php _e('Drag the logo image and adjust the position.', 'lifefit');  ?></p>
     <div id="lifefit-logo-adjuster" class="ratio-<?php echo '950-950'; ?>">
      <?php if(dp_logo_resize_tag(1000, 1000, $options['logotop'], $options['logoleft'])): ?>
      <?php else: ?>
      <span><?php _e('Logo size is too big. Please resize your logo image.', 'lifefit');  ?></span>
      <?php endif; ?>
     </div>
     <div class="hide">
      <label><?php _e('Top', 'lifefit');  ?>: <input type="text" name="pospa_options[logotop]" id="dp-options-logotop" value="<?php esc_attr_e( $options['logotop'] ); ?>" />px </label>
      <label><?php _e('Left', 'lifefit');  ?>: <input type="text" name="pospa_options[logoleft]" id="dp-options-logoleft" value="<?php esc_attr_e( $options['logoleft'] ); ?>" />px </label>
      <input type="button" class="button" id="dp-adjust-realvalue" value="adjust" />
     </div>
     <p><input type="submit" class="button" value="<?php _e('Save the position', 'lifefit');  ?>" /></p>
    <?php endif; ?>
    </div>
   </div>
   <?php endif; ?>

   <?php // 画像の削除 ?>
   <?php if(dp_logo_exists()): ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Delete logo image.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <p><?php _e('If you delete the logo image, normal text will be used for a site logo.', 'lifefit');  ?></p>
     <p><a class="button" href="<?php echo wp_nonce_url(admin_url('themes.php?page=theme_options'), 'dp_delete_image_'.  get_current_user_id()); ?>" onclick="if(!confirm('<?php _e('Are you sure to delete logo image?', 'lifefit'); ?>')) return false;"><?php _e('Delete Image', 'lifefit');  ?></a></p>
    </div>
   </div>
   <?php endif; ?>

  </div><!-- END #tab-content2 -->





  <!-- #tab-content3 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content3">

   <?php // ヘッダーコンテンツの設定 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Header Contents type', 'lifefit');  ?></h3>
    <div class="theme_option_input">
      <fieldset class="cf" id="header_type"><legend class="screen-reader-text"><span><?php _e('Header Contents type', 'lifefit');  ?></span></legend>
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $header_type_options as $option ) {
            $header_type_setting = $options['header_type'];
              if ( '' != $header_type_setting ) {
                if ( $options['header_type'] == $option['value'] ) {
                  $checked = "checked=\"checked\"";
                } else {
                  $checked = '';
                }
             }
       ?>
       <label class="description">
        <input id="input_header_type_<?php esc_attr_e( $option['value'] ); ?>" type="radio" name="pospa_options[header_type]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <?php echo $option['label']; ?>
       </label>
       <?php } ?>
      </fieldset>
    </div>
   </div>

   <?php // ヘッダー画像の設定 ?>
   <div class="theme_option_field cf" id="header_image_area">
    <h3 class="theme_option_headline"><?php _e('Header Image setting', 'lifefit');  ?></h3>
    <p><?php _e('Please upload and set Header Image from <a href="./themes.php?page=custom-header">Custom Header page</a>.', 'lifefit');  ?></p>
   </div>

   <?php // スライダーの設定 ?>
   <div class="theme_option_field cf" id="slider_area">
    <h3 class="theme_option_headline"><?php _e('Contents Slider setting', 'lifefit');  ?></h3>
    <p><?php _e('In order to use Recommend post, please set up a Recommend post from a post edit page beforehand.', 'lifefit');  ?></p>
    <div class="theme_option_input">
     <select id="slider_type" name="pospa_options[slider_type]">
      <?php
           foreach ( $slider_type_options as $option ) :
            $label = $option['label'];
            $selected = '';
            if ( $options['slider_type'] == $option['value']) {
             $selected = 'selected="selected"';
            } else {
             $selected = '';
            }
            echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
           endforeach;
      ?>
    </select>
    <p><?php _e('Number of posts on slider', 'lifefit');  ?></p>
    <select id="font_type" name="pospa_options[slider_num]">
     <?php
          foreach ( $slider_num_options as $option ) :
          $label = $option['label'];
          $selected = '';
          if ( $options['slider_num'] == $option['value']) {
            $selected = 'selected="selected"';
          } else {
            $selected = '';
          }
          echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
          endforeach;
     ?>
    </select>
    <p><?php _e('Excerpt length', 'lifefit');  ?></p>
    <p style="margin-bottom:20px;"><input style="width:40px;" class="font_size" id="pospa_options[slider_excerpt]" type="text" name="pospa_options[slider_excerpt]" value="<?php esc_attr_e( $options['slider_excerpt'] ); ?>" /></p>
    </div>
   </div>

   <hr />

   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Index Contents', 'lifefit');  ?></h3>
    <p><?php _e('Click Arrow button to open Option setting area.<br />Drag Headline to change the order.', 'lifefit');  ?></p>
   </div>

   <div id="lf_accordions">

<?php
  foreach($options['sortable_order'] as $sortable_value) {

    // 最近の記事一覧
    if ($sortable_value == 'recent_post_list') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Recent Post List', 'lifefit');  ?><a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p>
       <label><input id="pospa_options[index_recent_post_style]" name="pospa_options[index_recent_post_style]" type="checkbox" value="1" <?php checked( '1', $options['index_recent_post_style'] ); ?> /> <?php _e('Use default post list style.', 'lifefit');  ?></label><br />
       <?php _e('Number of post for default post list style.', 'lifefit');  ?>  <input id="pospa_options[content_font_size]" class="font_size" type="text" name="pospa_options[index_recent_post_num]" value="<?php esc_attr_e( $options['index_recent_post_num'] ); ?>" />
      </p>
      <hr />
      <p><?php _e('Select Post list type.', 'lifefit');  ?></p>
      <fieldset class="cf post_list_type">
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $recent_post_list_type_options as $option ) {
            $recent_post_list_type_setting = $options['recent_post_list_type'];
             if ( '' != $recent_post_list_type_setting ) {
              if ( $options['recent_post_list_type'] == $option['value'] ) {
               $checked = "checked=\"checked\"";
              } else {
               $checked = '';
              }
             }
       ?>
       <label class="description">
        <input type="radio" name="pospa_options[recent_post_list_type]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
        <?php echo $option['label']; ?>
       </label>
       <?php }; ?>
      </fieldset>
      <p>
       <label style="display:inline-block; margin-right:20px;"><?php _e('Title of Recent Post list', 'lifefit');  ?></label>
       <input id="pospa_options[index_recent_headline1]" class="regular-text" type="text" name="pospa_options[index_recent_headline1]" value="<?php esc_attr_e( $options['index_recent_headline1'] ); ?>" />
      </p>
      <p>
       <label style="display:inline-block; margin-right:20px;"><?php _e('Sub Title of Recent Post list', 'lifefit');  ?></label>
       <input id="pospa_options[index_recent_headline2]" class="regular-text" type="text" name="pospa_options[index_recent_headline2]" value="<?php esc_attr_e( $options['index_recent_headline2'] ); ?>" />
      </p>
      <input type="hidden" name="pospa_options[sortable_order][]" value="recent_post_list" />
     </div>
    </div>

<?php
    // 目次機能
    } elseif ($sortable_value == 'mokuji') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Outline', 'lifefit');  ?><a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p>
       <label for="mokuji_design_type"><?php _e('Design of Outline:', 'lifefit');  ?></label>
       <select id="mokuji_design_type" name="pospa_options[mokuji_design_type]">
        <?php
            foreach ( $mokuji_design_type_options as $option ) :
              $selected = '';
              if ( $options['mokuji_design_type'] == $option['value']) {
                $selected = 'selected="selected"';
              }
              echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $option['label'] . '</option>' ."\n";
            endforeach;
        ?>
       </select>
      </p>
      <p><?php _e('Click Add new Item button to add new Item.<br />Click Arrow button to open Option setting area.<br />Drag Headline to change the order.', 'lifefit');  ?></p>

      <div id="mokuji_area">

      <?php
        // 保存値をループ
        $key = 0;
        foreach($options['mokuji'] as $mokuji) {
          $key++;
      ?>

       <div class="mokuji_accordion cf <?php if($mokuji['mokuji_type']=='type1'){ echo 'type_index'; } else { echo 'type_chapter'; }; ?>">
        <h3 class="mokuji_accordion_headline"><span class="label1"></span><span class="label2"><?php echo esc_html( $mokuji['mokuji_label'] ); ?></span><a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
        <div class="mokuji_accordion_content">

         <h4><?php _e('Type of Item:', 'lifefit');  ?></h4>
         <fieldset>
          <?php
            foreach ( $mokuji_type_options as $option ) {
              if (!empty($option['input']) && $option['input'] == 'hidden') {
          ?>
          <input type="hidden" class="mokuji_type radio mokuji_type_<?php echo esc_attr( $option['value'] ); ?>" name="pospa_options[mokuji][<?php echo $key; ?>][mokuji_type]" value="<?php echo esc_attr( $option['value'] ); ?>" <?php echo $checked; ?> data-title="<?php echo esc_attr( $option['title'] ); ?>" />
          <?php
              } else {
                $checked = '';
                if ( $mokuji['mokuji_type'] == $option['value'] ) {
                  $checked = 'checked="checked"';
                }
          ?>
          <label class="description">
           <input type="checkbox" class="mokuji_type radio mokuji_type_<?php echo esc_attr( $option['value'] ); ?>" name="pospa_options[mokuji][<?php echo $key; ?>][mokuji_type]" value="<?php echo esc_attr( $option['value'] ); ?>" <?php echo $checked; ?> data-title="<?php echo esc_attr( $option['title'] ); ?>" />
           <?php echo $option['label']; ?>
          </label>
          <?php
              }
            }
          ?>
         </fieldset>

         <h4><?php _e('Title of this Item:', 'lifefit');  ?></h4>
         <input type="text" class="mokuji_label input" name="pospa_options[mokuji][<?php echo $key; ?>][mokuji_label]" value="<?php echo esc_attr( $mokuji['mokuji_label'] ); ?>" />

         <h4><?php _e('URL of this Item:', 'lifefit');  ?></h4>
         <input type="text" class="mokuji_link input" name="pospa_options[mokuji][<?php echo $key; ?>][mokuji_link]" value="<?php echo esc_attr( $mokuji['mokuji_link'] ); ?>" />

         <a href="#" class="delete_mokuji"><?php _e('Delete this Item', 'lifefit');  ?></a>

        </div><!-- END .mokuji_accordion_content -->
       </div><!-- END .mokuji_accordion -->

      <?php
        } // endforeach $options['mokuji']
      ?>

      </div><!-- END #mokuji_area -->

      <a href="#" id="add_mokuji"><?php _e('Add new Item', 'lifefit');  ?></a>

      <?php // 追加クリック時に挿入するコンテンツ ここから ?>
      <div id="mokuji_default" class="mokuji_accordion cf open type_index" style="display:none;">
       <h3 class="mokuji_accordion_headline"><span class="label1"></span><span class="label2"></span><a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
       <div class="mokuji_accordion_content">

        <h4><?php _e('Type of Item:', 'lifefit');  ?></h4>
        <fieldset class="cf">
         <?php
           foreach ( $mokuji_type_options as $option ) {
             if (!empty($option['input']) && $option['input'] == 'hidden') {
         ?>
         <input type="hidden" class="mokuji_type radio mokuji_type_<?php echo esc_attr( $option['value'] ); ?>" name="pospa_options[mokuji][<?php echo $key; ?>][mokuji_type]" value="<?php echo esc_attr( $option['value'] ); ?>" <?php echo $checked; ?> data-title="<?php echo esc_attr( $option['title'] ); ?>" disabled="disabled" />
         <?php
             } else {
               $checked = '';
               if ( $mokuji_default['mokuji_type'] == $option['value'] ) {
                 $checked = 'data-checked="checked"';
               }
         ?>
         <label class="description">
          <input type="checkbox" class="mokuji_type radio mokuji_type_<?php echo esc_attr( $option['value'] ); ?>" name="pospa_options[mokuji][0][mokuji_type]" value="<?php echo esc_attr( $option['value'] ); ?>" <?php echo $checked; ?> data-title="<?php echo esc_attr( $option['title'] ); ?>" disabled="disabled" />
          <?php echo $option['label']; ?>
         </label>
         <?php
             }
           }
         ?>
        </fieldset>

        <h4><?php _e('Title of this Item:', 'lifefit');  ?></h4>
        <input type="text" class="mokuji_label input" name="pospa_options[mokuji][0][mokuji_label]" value="<?php echo esc_attr( $mokuji_default['mokuji_label'] ); ?>" disabled="disabled" />

        <h4><?php _e('URL of this Item:', 'lifefit');  ?></h4>
        <input type="text" class="mokuji_link input" name="pospa_options[mokuji][0][mokuji_link]" value="<?php echo esc_attr( $mokuji_default['mokuji_link'] ); ?>" disabled="disabled" />

        <a href="#" class="delete_mokuji"><?php _e('Delete this Item', 'lifefit');  ?></a>

       </div><!-- END .mokuji_accordion_content -->
      </div><!-- END .mokuji_accordion -->
      <?php // 追加クリック時に挿入するコンテンツ ここまで ?>

      <p><?php _e('Free input column for Outline. (top of outline)', 'lifefit');  ?></p>
      <textarea id="pospa_options[mokuji_free1]" class="large-text" cols="50" rows="10" name="pospa_options[mokuji_free1]"><?php echo esc_textarea( $options['mokuji_free1'] ); ?></textarea>

      <p><?php _e('Free input column for Outline. (bottom of outline)', 'lifefit');  ?></p>
      <textarea id="pospa_options[mokuji_free2]" class="large-text" cols="50" rows="10" name="pospa_options[mokuji_free2]"><?php echo esc_textarea( $options['mokuji_free2'] ); ?></textarea>

      <input type="hidden" name="pospa_options[sortable_order][]" value="mokuji" />
     </div><!-- END .lf_accordion_content -->
    </div><!-- END .lf_accordion -->

<?php
    // カテゴリー記事1
    } elseif ($sortable_value == 'post_list1') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Category Post List', 'lifefit');  ?>1<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Select category to use for Category post list.<br />Leave this field blank if you don\'t want to use Category post list.', 'lifefit');  ?></p>
      <select id="index_category1" name="pospa_options[index_category1]" style="margin-bottom:15px;">
       <?php
            foreach ( $index_category1_options as $option ) :
             $label = $option['label'];
             $selected = '';
             if ( $options['index_category1'] == $option['value']) {
              $selected = 'selected="selected"';
             } else {
              $selected = '';
             }
             echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
            endforeach;
       ?>
      </select>
      <hr />
      <p><?php _e('Select Post list type.', 'lifefit');  ?></p>
      <fieldset class="cf post_list_type">
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $post_list_type1_options as $option ) {
            $post_list_type1_setting = $options['post_list_type1'];
             if ( '' != $post_list_type1_setting ) {
              if ( $options['post_list_type1'] == $option['value'] ) {
               $checked = "checked=\"checked\"";
              } else {
               $checked = '';
              }
             }
       ?>
       <label class="description">
        <input type="radio" name="pospa_options[post_list_type1]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
        <?php echo $option['label']; ?>
       </label>
       <?php }; ?>
      </fieldset>
      <input type="hidden" name="pospa_options[sortable_order][]" value="post_list1" />
     </div>
    </div>

<?php
    // カテゴリー記事2
    } elseif ($sortable_value == 'post_list2') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Category Post List', 'lifefit');  ?>2<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Select category to use for Category post list.<br />Leave this field blank if you don\'t want to use Category post list.', 'lifefit');  ?></p>
      <select id="index_category2" name="pospa_options[index_category2]" style="margin-bottom:15px;">
       <?php
            foreach ( $index_category2_options as $option ) :
             $label = $option['label'];
             $selected = '';
             if ( $options['index_category2'] == $option['value']) {
              $selected = 'selected="selected"';
             } else {
              $selected = '';
             }
             echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
            endforeach;
       ?>
      </select>
      <hr />
      <p><?php _e('Select Post list type.', 'lifefit');  ?></p>
      <fieldset class="cf post_list_type">
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $post_list_type2_options as $option ) {
            $post_list_type2_setting = $options['post_list_type2'];
             if ( '' != $post_list_type2_setting ) {
              if ( $options['post_list_type2'] == $option['value'] ) {
               $checked = "checked=\"checked\"";
              } else {
               $checked = '';
              }
             }
       ?>
       <label class="description">
        <input type="radio" name="pospa_options[post_list_type2]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
        <?php echo $option['label']; ?>
       </label>
       <?php }; ?>
      </fieldset>
      <input type="hidden" name="pospa_options[sortable_order][]" value="post_list2" />
     </div>
    </div>

<?php
    // カテゴリー記事3
    } elseif ($sortable_value == 'post_list3') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Category Post List', 'lifefit');  ?>3<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Select category to use for Category post list.<br />Leave this field blank if you don\'t want to use Category post list.', 'lifefit');  ?></p>
      <select id="index_category3" name="pospa_options[index_category3]" style="margin-bottom:15px;">
       <?php
           foreach ( $index_category3_options as $option ) :
            $label = $option['label'];
            $selected = '';
            if ( $options['index_category3'] == $option['value']) {
             $selected = 'selected="selected"';
            } else {
             $selected = '';
            }
            echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
           endforeach;
       ?>
      </select>
      <hr />
      <p><?php _e('Select Post list type.', 'lifefit');  ?></p>
      <fieldset class="cf post_list_type">
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $post_list_type3_options as $option ) {
            $post_list_type3_setting = $options['post_list_type3'];
             if ( '' != $post_list_type3_setting ) {
              if ( $options['post_list_type3'] == $option['value'] ) {
               $checked = "checked=\"checked\"";
              } else {
               $checked = '';
              }
             }
       ?>
       <label class="description">
        <input type="radio" name="pospa_options[post_list_type3]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
        <?php echo $option['label']; ?>
       </label>
       <?php }; ?>
      </fieldset>
      <input type="hidden" name="pospa_options[sortable_order][]" value="post_list3" />
     </div>
    </div>

<?php
    // カテゴリー記事4
    } elseif ($sortable_value == 'post_list4') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Category Post List', 'lifefit');  ?>4<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Select category to use for Category post list.<br />Leave this field blank if you don\'t want to use Category post list.', 'lifefit');  ?></p>
      <select id="index_category4" name="pospa_options[index_category4]" style="margin-bottom:15px;">
       <?php
           foreach ( $index_category4_options as $option ) :
            $label = $option['label'];
            $selected = '';
            if ( $options['index_category4'] == $option['value']) {
             $selected = 'selected="selected"';
            } else {
             $selected = '';
            }
            echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
           endforeach;
       ?>
      </select>
      <hr />
      <p><?php _e('Select Post list type.', 'lifefit');  ?></p>
      <fieldset class="cf post_list_type">
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $post_list_type4_options as $option ) {
            $post_list_type4_setting = $options['post_list_type4'];
             if ( '' != $post_list_type4_setting ) {
              if ( $options['post_list_type4'] == $option['value'] ) {
               $checked = "checked=\"checked\"";
              } else {
               $checked = '';
              }
             }
       ?>
       <label class="description">
        <input type="radio" name="pospa_options[post_list_type4]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
        <?php echo $option['label']; ?>
       </label>
       <?php }; ?>
      </fieldset>
      <input type="hidden" name="pospa_options[sortable_order][]" value="post_list4" />
     </div>
    </div>

<?php
    // カテゴリー記事5
    } elseif ($sortable_value == 'post_list5') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Category Post List', 'lifefit');  ?>5<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Select category to use for Category post list.<br />Leave this field blank if you don\'t want to use Category post list.', 'lifefit');  ?></p>
      <select id="index_category5" name="pospa_options[index_category5]" style="margin-bottom:15px;">
       <?php
           foreach ( $index_category5_options as $option ) :
            $label = $option['label'];
            $selected = '';
            if ( $options['index_category5'] == $option['value']) {
             $selected = 'selected="selected"';
            } else {
             $selected = '';
            }
            echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
           endforeach;
       ?>
      </select>
      <hr />
      <p><?php _e('Select Post list type.', 'lifefit');  ?></p>
      <fieldset class="cf post_list_type">
       <?php
            if ( ! isset( $checked ) )
            $checked = '';
            foreach ( $post_list_type5_options as $option ) {
            $post_list_type5_setting = $options['post_list_type5'];
             if ( '' != $post_list_type5_setting ) {
              if ( $options['post_list_type5'] == $option['value'] ) {
               $checked = "checked=\"checked\"";
              } else {
               $checked = '';
              }
             }
       ?>
       <label class="description">
        <input type="radio" name="pospa_options[post_list_type5]" value="<?php esc_attr_e( $option['value'] ); ?>" <?php echo $checked; ?> />
        <img src="<?php bloginfo('template_url'); ?>/admin/img/<?php echo $option['img']; ?>.gif" alt="" title="" />
        <?php echo $option['label']; ?>
       </label>
       <?php }; ?>
      </fieldset>
      <input type="hidden" name="pospa_options[sortable_order][]" value="post_list5" />
     </div>
    </div>

<?php
    // 自由入力欄1
    } elseif ($sortable_value == 'index_free1') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Free input column', 'lifefit');  ?>1<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Free input column for Index page.', 'lifefit');  ?></p>
      <textarea id="pospa_options[index_free1]" class="large-text" cols="50" rows="10" name="pospa_options[index_free1]"><?php echo esc_textarea( $options['index_free1'] ); ?></textarea>
      <br />
      <p><?php _e('Free input column for Index page for mobile.', 'lifefit');  ?></p>
      <textarea id="pospa_options[index_free_mobile1]" class="large-text" cols="50" rows="10" name="pospa_options[index_free_mobile1]"><?php echo esc_textarea( $options['index_free_mobile1'] ); ?></textarea>
      <input type="hidden" name="pospa_options[sortable_order][]" value="index_free1" />
     </div>
    </div>

<?php
    // 自由入力欄2
    } elseif ($sortable_value == 'index_free2') {
?>

    <div class="lf_accordion cf">
     <h3 class="lf_accordion_headline"><?php _e('Free input column', 'lifefit');  ?>2<a href="#"><?php _e('Open', 'lifefit');  ?></a></h3>
     <div class="lf_accordion_content">
      <p><?php _e('Free input column for Index page.', 'lifefit');  ?></p>
      <textarea id="pospa_options[index_free2]" class="large-text" cols="50" rows="10" name="pospa_options[index_free2]"><?php echo esc_textarea( $options['index_free2'] ); ?></textarea>
      <br />
      <p><?php _e('Free input column for Index page for mobile.', 'lifefit');  ?></p>
      <textarea id="pospa_options[index_free_mobile2]" class="large-text" cols="50" rows="10" name="pospa_options[index_free_mobile2]"><?php echo esc_textarea( $options['index_free_mobile2'] ); ?></textarea>
      <input type="hidden" name="pospa_options[sortable_order][]" value="index_free2" />
     </div>
    </div>

<?php
    }
  } // endforeach $options['sortable_order']
?>

   </div><!-- END #lf_accordions -->

   <p class="submit"><input type="submit" class="button-primary" value="<?php echo __( 'Save Changes', 'lifefit' ); ?>" /></p>

  </div><!-- END #tab-content3 -->





  <!-- #tab-content4 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content4">

   <?php // 投稿者名・タグ・コメント ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Display Setup', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <ul>
      <li><label><input id="pospa_options[show_est]" name="pospa_options[show_est]" type="checkbox" value="1" <?php checked( '1', $options['show_est'] ); ?> /> <?php _e('Display the time required to read a post at single page', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_bookmark]" name="pospa_options[show_bookmark]" type="checkbox" value="1" <?php checked( '1', $options['show_bookmark'] ); ?> /> <?php _e('Display social bookmarks', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_related_post]" name="pospa_options[show_related_post]" type="checkbox" value="1" <?php checked( '1', $options['show_related_post'] ); ?> /> <?php _e('Display related_post', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_trackback]" name="pospa_options[show_trackback]" type="checkbox" value="1" <?php checked( '1', $options['show_trackback'] ); ?> /> <?php _e('Display trackbacks', 'lifefit');  ?></label></li>
      <li><label><input id="pospa_options[show_next_post]" name="pospa_options[show_next_post]" type="checkbox" value="1" <?php checked( '1', $options['show_next_post'] ); ?> /> <?php _e('Display next previous post link', 'lifefit');  ?></label></li>
     </ul>
    </div>
   </div>

   <?php // 詳細ページ上部の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column. (top of the post)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[single_code1]" class="large-text" cols="50" rows="10" name="pospa_options[single_code1]"><?php echo esc_textarea( $options['single_code1'] ); ?></textarea>
    </div>
   </div>

   <?php // 詳細ページ下部の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column. (bottom of the post)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[single_code2]" class="large-text" cols="50" rows="10" name="pospa_options[single_code2]"><?php echo esc_textarea( $options['single_code2'] ); ?></textarea>
    </div>
   </div>

   <?php // 詳細ページブックマーク下部の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column. (bottom of the social button)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[single_code3]" class="large-text" cols="50" rows="10" name="pospa_options[single_code3]"><?php echo esc_textarea( $options['single_code3'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用詳細ページ上部の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for mobile. (top of the post)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[single_code1_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[single_code1_mobile]"><?php echo esc_textarea( $options['single_code1_mobile'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用詳細ページ下部の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for mobile. (bottom of the post)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[single_code2_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[single_code2_mobile]"><?php echo esc_textarea( $options['single_code2_mobile'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用詳細ページブックマーク下部の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for mobile. (bottom of the social button)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[single_code3_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[single_code3_mobile]"><?php echo esc_textarea( $options['single_code3_mobile'] ); ?></textarea>
    </div>
   </div>

   <p class="submit"><input type="submit" class="button-primary" value="<?php echo __( 'Save Changes', 'lifefit' ); ?>" /></p>

  </div><!-- END #tab-content3 -->




  <!-- #tab-content5 //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////  -->
  <div id="tab-content5">

   <?php // head内の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input colum for &lt;head&gt; area.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[header_code]" class="large-text" cols="50" rows="10" name="pospa_options[header_code]"><?php echo esc_textarea( $options['header_code'] ); ?></textarea>
    </div>
   </div>

   <?php // アクセス解析用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for footer area. (You can input Google Analytics code here.)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[footer_code]" class="large-text" cols="50" rows="10" name="pospa_options[footer_code]"><?php echo esc_textarea( $options['footer_code'] ); ?></textarea>
    </div>
   </div>

   <?php // アーカイブ用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for archive top area.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[archive_code1]" class="large-text" cols="50" rows="10" name="pospa_options[archive_code1]"><?php echo esc_textarea( $options['archive_code1'] ); ?></textarea>
    </div>
   </div>

   <?php // アーカイブ用の自由記入欄2 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for archive bottom area.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[archive_code2]" class="large-text" cols="50" rows="10" name="pospa_options[archive_code2]"><?php echo esc_textarea( $options['archive_code2'] ); ?></textarea>
    </div>
   </div>

   <?php // ページ用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for wp-page top area.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[page_code1]" class="large-text" cols="50" rows="10" name="pospa_options[page_code1]"><?php echo esc_textarea( $options['page_code1'] ); ?></textarea>
    </div>
   </div>

   <?php // ページ用の自由記入欄2 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for wp-page bottom area.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[page_code2]" class="large-text" cols="50" rows="10" name="pospa_options[page_code2]"><?php echo esc_textarea( $options['page_code2'] ); ?></textarea>
    </div>
   </div>

   <?php // ユーザーCSS用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input area for user definition CSS.', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[css_code]" class="large-text" cols="50" rows="10" name="pospa_options[css_code]"><?php echo esc_textarea( $options['css_code'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用アーカイブ用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for archive top area. (for mobile)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[archive_code1_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[archive_code1_mobile]"><?php echo esc_textarea( $options['archive_code1_mobile'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用アーカイブ用の自由記入欄2 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for archive bottom area. (for mobile)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[archive_code2_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[archive_code2_mobile]"><?php echo esc_textarea( $options['archive_code2_mobile'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用ページ用の自由記入欄 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for wp-page top area. (for mobile)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[page_code1_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[page_code1_mobile]"><?php echo esc_textarea( $options['page_code1_mobile'] ); ?></textarea>
    </div>
   </div>

   <?php // モバイル用ページ用の自由記入欄2 ?>
   <div class="theme_option_field cf">
    <h3 class="theme_option_headline"><?php _e('Free input column for wp-page bottom area. (for mobile)', 'lifefit');  ?></h3>
    <div class="theme_option_input">
     <textarea id="pospa_options[page_code2_mobile]" class="large-text" cols="50" rows="10" name="pospa_options[page_code2_mobile]"><?php echo esc_textarea( $options['page_code2_mobile'] ); ?></textarea>
    </div>
   </div>


   <p class="submit"><input type="submit" class="button-primary" value="<?php echo __( 'Save Changes', 'lifefit' ); ?>" /></p>

  </div><!-- END #tab-content4 -->




  </div><!-- END #tab-panel -->

 </form>

</div>

</div>

<?php

 }


/**
 * チェック
 */
function theme_options_validate( $input ) {
 global $layout_options, $index_category1_options, $index_category2_options, $index_category3_options, $index_category4_options, $index_category5_options, $post_list_type1_options, $post_list_type2_options, $post_list_type3_options, $post_list_type4_options, $post_list_type5_options, $slider_type_options, $slider_num_options, $recent_post_list_type_options, $header_type_options, $posttype_options, $mokuji_type_options, $pospa_default_options;

 // 色の設定
 $input['pickedcolor1'] = wp_filter_nohtml_kses( $input['pickedcolor1'] );
 $input['pickedcolor2'] = wp_filter_nohtml_kses( $input['pickedcolor2'] );
 $input['pickedcolor3'] = wp_filter_nohtml_kses( $input['pickedcolor3'] );

 // フォントサイズ
 $input['content_font_size'] = wp_filter_nohtml_kses( $input['content_font_size'] );

 // 投稿者・タグ・コメント
 if ( ! isset( $input['show_date'] ) )
  $input['show_date'] = null;
  $input['show_date'] = ( $input['show_date'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_category'] ) )
  $input['show_category'] = null;
  $input['show_category'] = ( $input['show_category'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_tag'] ) )
  $input['show_tag'] = null;
  $input['show_tag'] = ( $input['show_tag'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_comment'] ) )
  $input['show_comment'] = null;
  $input['show_comment'] = ( $input['show_comment'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_timestamp'] ) )
  $input['show_timestamp'] = null;
  $input['show_timestamp'] = ( $input['show_timestamp'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_author'] ) )
  $input['show_author'] = null;
  $input['show_author'] = ( $input['show_author'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_est'] ) )
  $input['show_est'] = null;
  $input['show_est'] = ( $input['show_est'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_trackback'] ) )
  $input['show_trackback'] = null;
  $input['show_trackback'] = ( $input['show_trackback'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_next_post'] ) )
  $input['show_next_post'] = null;
  $input['show_next_post'] = ( $input['show_next_post'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_thumbnail'] ) )
  $input['show_thumbnail'] = null;
  $input['show_thumbnail'] = ( $input['show_thumbnail'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_rss'] ) )
  $input['show_rss'] = null;
  $input['show_rss'] = ( $input['show_rss'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_related_post'] ) )
  $input['show_related_post'] = null;
  $input['show_related_post'] = ( $input['show_related_post'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_bookmark'] ) )
  $input['show_bookmark'] = null;
  $input['show_bookmark'] = ( $input['show_bookmark'] == 1 ? 1 : 0 );
 if ( ! isset( $input['use_style_headline'] ) )
  $input['use_style_headline'] = null;
  $input['use_style_headline'] = ( $input['use_style_headline'] == 1 ? 1 : 0 );
 if ( ! isset( $input['show_slider'] ) )
  $input['show_slider'] = null;
  $input['show_slider'] = ( $input['show_slider'] == 1 ? 1 : 0 );

 // レイアウトの設定
 if ( ! isset( $input['layout'] ) )
  $input['layout'] = null;
 if ( ! array_key_exists( $input['layout'], $layout_options ) )
  $input['layout'] = null;

 // twitter,facebook URL
 $input['twitter_url'] = wp_filter_nohtml_kses( $input['twitter_url'] );
 $input['facebook_url'] = wp_filter_nohtml_kses( $input['facebook_url'] );

 // 検索の設定
 $input['custom_search_id'] = wp_filter_nohtml_kses( $input['custom_search_id'] );

 // 自由入力欄
 $input['single_code1'] = $input['single_code1'];
 $input['single_code2'] = $input['single_code2'];
 $input['single_code3'] = $input['single_code3'];
 $input['header_code'] = $input['header_code'];
 $input['footer_code'] = $input['footer_code'];
 $input['archive_code1'] = $input['archive_code1'];
 $input['archive_code2'] = $input['archive_code2'];
 $input['page_code1'] = $input['page_code1'];
 $input['page_code2'] = $input['page_code2'];
 $input['css_code'] = $input['css_code'];

 $input['single_code1_mobile'] = $input['single_code1_mobile'];
 $input['single_code2_mobile'] = $input['single_code2_mobile'];
 $input['single_code3_mobile'] = $input['single_code3_mobile'];
 $input['archive_code1_mobile'] = $input['archive_code1_mobile'];
 $input['page_code1_mobile'] = $input['page_code1_mobile'];
 $input['page_code2_mobile'] = $input['page_code2_mobile'];

 // ヘッダーコンテンツのタイプ
 if ( ! isset( $input['header_type'] ) )
  $input['header_type'] = null;
 if ( ! array_key_exists( $input['header_type'], $header_type_options ) )
  $input['header_type'] = null;

 // トップページのスライダーの設定
 if ( ! isset( $input['slider_type'] ) )
  $input['slider_type'] = null;
 if ( ! array_key_exists( $input['slider_type'], $slider_type_options ) )
  $input['slider_type'] = null;
 if ( ! isset( $input['slider_num'] ) )
  $input['slider_num'] = null;
 if ( ! array_key_exists( $input['slider_num'], $slider_num_options ) )
  $input['slider_num'] = null;
 $input['slider_excerpt'] = wp_filter_nohtml_kses( $input['slider_excerpt'] );

 // トップページのおすすめカテゴリー記事1の設定
 if ( ! isset( $input['index_category1'] ) )
  $input['index_category1'] = null;
 if ( ! array_key_exists( $input['index_category1'], $index_category1_options ) )
  $input['index_category1'] = null;
 if ( ! isset( $input['post_list_type1'] ) )
  $input['post_list_type1'] = null;
 if ( ! array_key_exists( $input['post_list_type1'], $post_list_type1_options ) )
  $input['post_list_type1'] = null;

 // トップページのおすすめカテゴリー記事2の設定
 if ( ! isset( $input['index_category2'] ) )
  $input['index_category2'] = null;
 if ( ! array_key_exists( $input['index_category2'], $index_category2_options ) )
  $input['index_category2'] = null;
 if ( ! isset( $input['post_list_type2'] ) )
  $input['post_list_type2'] = null;
 if ( ! array_key_exists( $input['post_list_type2'], $post_list_type2_options ) )
  $input['post_list_type2'] = null;

 // トップページのおすすめカテゴリー記事3の設定
 if ( ! isset( $input['index_category3'] ) )
  $input['index_category3'] = null;
 if ( ! array_key_exists( $input['index_category3'], $index_category3_options ) )
  $input['index_category3'] = null;
 if ( ! isset( $input['post_list_type3'] ) )
  $input['post_list_type3'] = null;
 if ( ! array_key_exists( $input['post_list_type3'], $post_list_type3_options ) )
  $input['post_list_type3'] = null;

 // トップページのおすすめカテゴリー記事4の設定
 if ( ! isset( $input['index_category4'] ) )
  $input['index_category4'] = null;
 if ( ! array_key_exists( $input['index_category4'], $index_category4_options ) )
  $input['index_category4'] = null;
 if ( ! isset( $input['post_list_type4'] ) )
  $input['post_list_type4'] = null;
 if ( ! array_key_exists( $input['post_list_type4'], $post_list_type4_options ) )
  $input['post_list_type4'] = null;

 // トップページのおすすめカテゴリー記事5の設定
 if ( ! isset( $input['index_category5'] ) )
  $input['index_category5'] = null;
 if ( ! array_key_exists( $input['index_category5'], $index_category5_options ) )
  $input['index_category5'] = null;
 if ( ! isset( $input['post_list_type5'] ) )
  $input['post_list_type5'] = null;
 if ( ! array_key_exists( $input['post_list_type5'], $post_list_type5_options ) )
  $input['post_list_type5'] = null;

 // トップページの最新記事の設定
 if ( ! isset( $input['recent_post_list_type'] ) )
  $input['recent_post_list_type'] = null;
 if ( ! array_key_exists( $input['recent_post_list_type'], $recent_post_list_type_options ) )
  $input['recent_post_list_type'] = null;
 $input['index_recent_headline1'] = wp_filter_nohtml_kses( $input['index_recent_headline1'] );
 $input['index_recent_headline2'] = wp_filter_nohtml_kses( $input['index_recent_headline2'] );
 if ( ! isset( $input['index_recent_post_style'] ) )
  $input['index_recent_post_style'] = null;
  $input['index_recent_post_style'] = ( $input['index_recent_post_style'] == 1 ? 1 : 0 );
 $input['index_recent_post_num'] = wp_filter_nohtml_kses( $input['index_recent_post_num'] );

 // トップページの自由入力欄
 if ( ! isset( $input['index_free1'] )) {
   $input['index_free1'] = null;
 } else {
   $input['index_free1'] = $input['index_free1'];
 };
 if ( ! isset( $input['index_free2'] )) {
   $input['index_free2'] = null;
 } else {
   $input['index_free2'] = $input['index_free2'];
 };
 if ( ! isset( $input['index_free_mobile1'] )) {
   $input['index_free_mobile1'] = null;
 } else {
   $input['index_free_mobile1'] = $input['index_free_mobile1'];
 };
 if ( ! isset( $input['index_free_mobile2'] )) {
   $input['index_free_mobile2'] = null;
 } else {
   $input['index_free_mobile2'] = $input['index_free_mobile2'];
 };

 // アーカイブページの記事タイプ
 if ( ! isset( $input['posttype'] ) )
  $input['posttype'] = null;
 if ( ! array_key_exists( $input['posttype'], $posttype_options ) )
  $input['posttype'] = null;
 if ( ! isset( $input['show_sort'] ) )
  $input['show_sort'] = null;
  $input['show_sort'] = ( $input['show_sort'] == 1 ? 1 : 0 );

 // 目次のタイプ
 if ( ! isset( $input['mokuji_type'] ) )
  $input['mokuji_type'] = null;
 if ( ! array_key_exists( $input['mokuji_type'], $mokuji_type_options ) )
  $input['mokuji_type'] = null;

 //目次の自由入力欄
 if ( ! isset( $input['mokuji_free1'] )) {
   $input['mokuji_free1'] = null;
 } else {
   $input['mokuji_free1'] = $input['mokuji_free1'];
 };
 if ( ! isset( $input['mokuji_free2'] )) {
   $input['mokuji_free2'] = null;
 } else {
   $input['mokuji_free2'] = $input['mokuji_free2'];
 };

 //ロゴの位置
 if(isset($input['logotop'])){
	 $input['logotop'] = intval($input['logotop']);
 }
 if(isset($input['logoleft'])){
	 $input['logoleft'] = intval($input['logoleft']);
 }

 //ファイルアップロード
 if(isset($_FILES['dp_image'])){
	$message = _dp_upload_logo();
	add_settings_error('lifefit_pospa_options', 'default', $message['message'], ($message['error'] ? 'error' : 'updated'));
 }

 //画像リサイズ
 if(isset($_REQUEST['dp_logo_resize_left'], $_REQUEST['dp_logo_resize_top']) && is_numeric($_REQUEST['dp_logo_resize_left']) && is_numeric($_REQUEST['dp_logo_resize_top'])){
	$message = _dp_resize_logo();
	add_settings_error('lifefit_pospa_options', 'default', $message['message'], ($message['error'] ? 'error' : 'updated'));
 }

 // ソータブル
 if (isset($input['sortable_order']) && is_array($input['sortable_order'])) {
	$sortable_order = $input['sortable_order'];
	$sortable_order_default = $pospa_default_options['sortable_order'];
	$input['sortable_order'] = array();
	foreach($sortable_order as $sortable_value) {
		$k = array_search($sortable_value, $sortable_order_default);
		if ($k !== false) {
			$input['sortable_order'][] = $sortable_value;
			unset($sortable_order_default[$k]);
		}
	}
	if (count($sortable_order_default) > 0) {
		$input['sortable_order'] = array_merge($input['sortable_order'], $sortable_order_default);
	}
 } else {
	$input['sortable_order'] = $pospa_default_options['sortable_order'];
 }

 // 目次追加用フォームがあった場合削除
 if (isset($input['mokuji'][0])) unset($input['mokuji'][0]);

 // キーを振りなおすためarray_merge
 if (!empty($input['mokuji'])) $input['mokuji'] = array_merge($input['mokuji']);

 return $input;
}

?>