<?php


// 言語ファイルの読み込み --------------------------------------------------------------------------------
load_textdomain('lifefit', dirname(__FILE__).'/languages/' . get_locale() . '.mo');


// テーマオプション --------------------------------------------------------------------------------
require get_template_directory() . '/admin/theme-options.php';
$options = get_pospa_option();


// パンくずリンク --------------------------------------------------------------------------------
require get_template_directory() . '/functions/breadcrumb.php';


// 人気の記事 --------------------------------------------------------------------------------
require get_template_directory() . '/functions/popular.php';


// おすすめ記事 --------------------------------------------------------------------------------
require get_template_directory() . '/functions/recommend.php';


// meta title, description --------------------------------------------------------------------------------
require get_template_directory() . '/functions/seo.php';


// 目次（ショートコードver） --------------------------------------------------------------------------------
require get_template_directory() . '/functions/mokuji.php';


// カテゴリー用カスタムフィールドの追加 --------------------------------------------------------------------------------
require get_template_directory() . '/functions/category.php';


// post list --------------------------------------------------------------------------------
require get_template_directory() . '/functions/post_list.php';


// 更新通知 --------------------------------------------------------------------------------
//require get_template_directory() . '/functions/update_notifier.php';


// ウィジェットの読み込み ------------------------------------------------------------------------
require get_template_directory() . '/widget/recommend_post.php';
require get_template_directory() . '/widget/popular_post.php';
require get_template_directory() . '/widget/recent_post.php';
require get_template_directory() . '/widget/free_space.php';
require get_template_directory() . '/widget/about.php';
require get_template_directory() . '/widget/category_post.php';
require get_template_directory() . '/widget/category_post2.php';


//ロゴ画像用関数 --------------------------------------------------------------------------------
require get_template_directory() . '/functions/header-logo.php';


// enqueue javascriptの読み込み -----------------------------------------------------------------------
function widget_admin_scripts() {
  wp_enqueue_script('thickbox');
  wp_enqueue_style('thickbox');
  wp_enqueue_script('media-upload');
  wp_enqueue_script('ml-widget-js', get_template_directory_uri().'/widget/js/script.js', '', '1', true);
}
add_action('admin_print_scripts', 'widget_admin_scripts');


// スタイルシートの読み込み --------------------------------------------------------------------------------
function my_admin_css() {
  wp_enqueue_style('theme-option-style', get_template_directory_uri() .'/admin/my_admin.css');
};
add_action('admin_print_styles', 'my_admin_css');


// ビジュアルエディタ用スタイルシートの読み込み --------------------------------------------------------------------------------
if($options['use_style_headline'] == '1') {
  function my_theme_add_editor_styles() {
    add_editor_style( 'editor-style2.css' );
  }
  add_action( 'init', 'my_theme_add_editor_styles' );
} else {
  function my_theme_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
  }
  add_action( 'init', 'my_theme_add_editor_styles' );
};


//　サムネイルの設定 --------------------------------------------------------------------------------
if (function_exists('add_theme_support')) {
  add_theme_support('post-thumbnails');
  add_image_size( 'size1', 494, 250, true );
  add_image_size( 'size2', 305, 152, true );
  add_image_size( 'size3', 198, 65, true );
  add_image_size( 'size4', 198, 109, true );
}


// カスタムメニューの設定 --------------------------------------------------------------------------------
if(function_exists('register_nav_menu')) {
 register_nav_menu( 'global-menu', __( 'Global menu', 'lifefit' ) );
}


// ウィジェットの設定 ------------------------------------------------------------------------------
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
        'before_widget' => '<div class="side_widget %2$s" id="%1$s">'."\n",
        'after_widget' => "</div>\n",
        'before_title' => '<h3 class="side_headline"><span>',
        'after_title' => "</span></h3>\n",
        'name' => __('Side widget', 'lifefit'),
        'id' => 'side_widget'
    ));
    register_sidebar(array(
        'before_widget' => '<div class="side_widget %2$s" id="%1$s">'."\n",
        'after_widget' => "</div>\n",
        'before_title' => '<h3 class="side_headline"><span>',
        'after_title' => "</span></h3>\n",
        'name' => __('Side widget2', 'lifefit'),
        'id' => 'side_widget2'
    ));
    register_sidebar(array(
        'before_widget' => '<div class="footer_widget %2$s" id="%1$s">'."\n",
        'after_widget' => "</div>\n",
        'before_title' => '<h3 class="footer_headline">',
        'after_title' => "</h3>\n",
        'name' => __('Footer widget', 'lifefit'),
        'description' => __('Three widget are recommended', 'lifefit'),
        'id' => 'footer_widget'
    ));
}



// オリジナルの抜粋記事 --------------------------------------------------------------------------------
function new_excerpt($a) {

   global $post;

   $base_content = $post->post_content;
   $base_content = preg_replace('!<style.*?>.*?</style.*?>!is', '', $base_content);
   $base_content = preg_replace('!<script.*?>.*?</script.*?>!is', '', $base_content);
   $base_content = preg_replace('/\[.+\]/','', $base_content);
   $base_content = strip_tags($base_content);
   $trim_content = mb_substr($base_content, 0,  $a,"utf-8");
   $trim_content = str_replace(']]>', ']]&gt;', $trim_content);
   $trim_content = str_replace(array("\r\n", "\r", "\n", "&nbsp;"), "", $trim_content);
   $trim_content = htmlspecialchars($trim_content);

   echo $trim_content . '...';

};

//抜粋からPタグを取り除く
remove_filter( 'the_excerpt', 'wpautop' );


// 記事タイトルの文字数制限 --------------------------------------------------------------------------------
function trim_title($num) {
 $base_title = get_the_title();
 $trim_title = mb_substr($base_title, 0, $num ,"utf-8");
 $count_title = mb_strlen($trim_title,"utf-8");
 if($count_title > $num-1) {
  echo $trim_title . '...';
 } else {
  echo $trim_title;
 };
};


// タイトルをエンコード --------------------------------------------------------------------------------
function get_encoded_title($title){
  return urlencode(mb_convert_encoding($title, "UTF-8"));
}


// 前後記事リンクの文字数制限 --------------------------------------------------------------------------------
function lifefit_previous_post_link($maxlen = -1, $format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
  lifefit_adjacent_post_link($maxlen, $format, $link, $in_same_cat, $excluded_categories, true, $maxlen);
}

function lifefit_next_post_link($maxlen = -1, $format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
  lifefit_adjacent_post_link($maxlen, $format, $link, $in_same_cat, $excluded_categories, false);
}

function lifefit_adjacent_post_link($maxlen = -1, $format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '', $previous = true) {

  if ( $previous && is_attachment() )
    $post = & get_post($GLOBALS['post']->post_parent);
  else
    $post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);
  if ( !$post )
  return;
  $tCnt = mb_strlen( $post->post_title, get_bloginfo('charset') );
  if(($maxlen > 0)&&($tCnt > $maxlen)) {
    $title = mb_substr( $post->post_title, 0, $maxlen, get_bloginfo('charset') ) . '…';
  } else {
    $title = $post->post_title;
  }

  if ( empty($post->post_title) )
    $title = $previous ? __('Previous Post') : __('Next Post');
    $title = apply_filters('the_title', $title, $post->ID);
    $date = mysql2date(get_option('date_format'), $post->post_date);
    $rel = $previous ? 'prev' : 'next';
    $string = '<a href="'.get_permalink($post).'" rel="'.$rel.'">';
    $link = str_replace('%title', $title, $link);
    $link = str_replace('%date', $date, $link);
    $link = $string . $link . '</a>';
    $format = str_replace('%link', $link, $format);
    echo $format;
}


// ページナビ用関数（条件分岐に使用） --------------------------------------------------------------------------------
function show_posts_nav() {
  global $wp_query;
  return ($wp_query->max_num_pages > 1);
};


//　ヘッダーから余分なMETA情報を削除 --------------------------------------------------------------------
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wp_generator');


// バージョン管理 ----------------------------------------------------------------------------------------------
function version_num() {

 if (function_exists('wp_get_theme')) {
  $theme_data = wp_get_theme();
 } else {
  $theme_data = get_theme_data(TEMPLATEPATH . '/style.css');
 };

 $current_version = $theme_data['Version'];

 echo "?ver=" . $current_version;

};


// 背景機能 --------------------------------------------------------------------------------
$args = array('default-color' => 'ffffff');
add_theme_support('custom-background',$args);


// メイン画像 --------------------------------------------------------------------------------
global $wp_version;
if (version_compare($wp_version,'3.4','>=')) {
$args = array(
	'width'         => 1000,
	'height'        => 250,
        'flex-height'   => true,
        'flex-width' => true,
        'header-text'   => false,
);
add_theme_support( 'custom-header',$args );
};


// bodyのclassにカテゴリーIDを追加 ------------------------------------------------------------------------------
function ml_body_classes($classes) {
    global $wp_query;
    $options = get_pospa_option();

    if (is_single() ) {
      global $post;
      foreach((get_the_category($post->ID)) as $category) {
        $classes[] = 'category-' . $category->term_id;
      }
    }

    if ($options['layout']=='left') { $classes[] = 'layout2'; };
    if ($options['layout']=='three_column1') { $classes[] = 'three_column'; };
    if ($options['layout']=='three_column2') { $classes[] = 'three_column layout3'; };
    if ($options['layout']=='left') { $classes[] = 'layout2'; };
    if (!$options['show_thumbnail']) { $classes[] = 'no_thumbnail'; };
    if (!$options['show_date']) { $classes[] = 'no_date'; };
    if (is_home() && $options['header_type']=='image') { $classes[] = 'header_image'; };
    if (is_home() && $options['header_type']=='no_header') { $classes[] = 'no_header'; };

    return array_unique($classes);
};
add_filter('body_class','ml_body_classes');


// user agent conditional function ---------------------------------------------------------------------
function is_mobile() {

 $match = 0;

 $ua = array(
   'iPhone', // iPhone
   'iPod', // iPod touch
   'Android.*Mobile', // 1.5+ Android *** Only mobile
   'Windows.*Phone', // *** Windows Phone
   'dream', // Pre 1.5 Android
   'CUPCAKE', // 1.5+ Android
   'BlackBerry', // BlackBerry
   'webOS', // Palm Pre Experimental
   'incognito', // Other iPhone browser
   'webmate' // Other iPhone browser
 );

 $pattern = '/' . implode( '|', $ua ) . '/i';
 $match   = preg_match( $pattern, $_SERVER['HTTP_USER_AGENT'] );

 if ( $match === 1 ) {
   return TRUE;
 } else {
   return FALSE;
 }

}


//　カスタムグローバルナビ --------------------------------------------------------------------------------
class description_walker extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth, $args) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		$class_names = $value = '';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="'. esc_attr( $class_names ) . '"';

		$output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

		$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

		$prepend = '<strong>';
		$append = '</strong>';
		$description  = ! empty( $item->description ) ? '<span>'.esc_attr( $item->description ).'</span>' : '';

		if($depth != 0) {
			$description = $append = $prepend = "";
		}

		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>';
		$item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
		$item_output .= $description.$args->link_after;
		$item_output .= '</a>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
	}
}


// カスタムコメント --------------------------------------------------------------------------------------

if (function_exists('wp_list_comments')) {
	// comment count
	add_filter('get_comments_number', 'comment_count', 0);
	function comment_count( $commentcount ) {
		global $id;
		$_commnets = get_comments('post_id=' . $id);
		$comments_by_type = &separate_comments($_commnets);
		return count($comments_by_type['comment']);
	}
}


function custom_comments($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	global $commentcount;
	if(!$commentcount) {
		$commentcount = 0;
	}
?>

 <li class="comment <?php if($comment->comment_author_email == get_the_author_meta('email')) {echo 'admin-comment';} else {echo 'guest-comment';} ?>" id="comment-<?php comment_ID() ?>">
  <div class="comment-meta clearfix">
   <div class="comment-meta-left">
  <?php if (function_exists('get_avatar') && get_option('show_avatars')) { echo get_avatar($comment, 40); } ?>
  
    <ul class="comment-name-date">
     <li class="comment-name">
<?php if (get_comment_author_url()) : ?>
<a id="commentauthor-<?php comment_ID() ?>" class="url <?php if($comment->comment_author_email == get_the_author_meta('email')) {echo 'admin-url';} else {echo 'guest-url';} ?>" href="<?php comment_author_url() ?>" rel="nofollow">
<?php else : ?>
<span id="commentauthor-<?php comment_ID() ?>">
<?php endif; ?>

<?php comment_author(); ?>

<?php if(get_comment_author_url()) : ?>
</a>
<?php else : ?>
</span>
<?php endif; $options = get_pospa_option(); ?>
     </li>
     <li class="comment-date"><?php echo get_comment_time('Y.m.d'); if ($options['show_timestamp']) : echo get_comment_time(__(' G:i', 'lifefit')); endif; ?></li>
    </ul>
   </div>

   <ul class="comment-act">
<?php if (function_exists('comment_reply_link')) { 
        if ( get_option('thread_comments') == '1' ) { ?>
    <li class="comment-reply"><?php comment_reply_link(array_merge( $args, array('add_below' => 'comment-content', 'depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => '<span><span>'.__('REPLY','lifefit').'</span></span>'))) ?></li>
<?php   } else { ?>
    <li class="comment-reply"><a href="javascript:void(0);" onclick="MGJS_CMT.reply('commentauthor-<?php comment_ID() ?>', 'comment-<?php comment_ID() ?>', 'comment');"><?php _e('REPLY', 'lifefit'); ?></a></li>
<?php   }
      } else { ?>
    <li class="comment-reply"><a href="javascript:void(0);" onclick="MGJS_CMT.reply('commentauthor-<?php comment_ID() ?>', 'comment-<?php comment_ID() ?>', 'comment');"><?php _e('REPLY', 'lifefit'); ?></a></li>
<?php } ?>
    <li class="comment-quote"><a href="javascript:void(0);" onclick="MGJS_CMT.quote('commentauthor-<?php comment_ID() ?>', 'comment-<?php comment_ID() ?>', 'comment-content-<?php comment_ID() ?>', 'comment');"><?php _e('QUOTE', 'lifefit'); ?></a></li>
    <?php edit_comment_link(__('EDIT', 'lifefit'), '<li class="comment-edit">', '</li>'); ?>
   </ul>

  </div>
  <div class="comment-content post" id="comment-content-<?php comment_ID() ?>">
  <?php if ($comment->comment_approved == '0') : ?>
   <span class="comment-note"><?php _e('Your comment is awaiting moderation.', 'lifefit'); ?></span>
  <?php endif; ?>
  <?php comment_text(); ?>
  </div>

<?php } ?>
