<?php

// 画像アップロードに必要なファイルを読み込み -------------------------------------------------------
add_action('admin_print_scripts', 'my_admin_scripts_category');
add_action('admin_print_styles', 'my_admin_styles_category');
function my_admin_scripts_category() {
	global $taxonomy;
	if( 'category' == $taxonomy ) {
		wp_enqueue_script('media-upload');
		wp_enqueue_script('thickbox');
		wp_register_script('my-upload', get_bloginfo('template_directory') .'/admin/category/upload.js');
		wp_enqueue_script('my-upload');
	}
}
function my_admin_styles_category() {
	global $taxonomy;
	if( 'category' == $taxonomy ) {
		wp_enqueue_style('thickbox');
	}
}



// 入力欄を出力 -------------------------------------------------------
add_action ( 'edit_category_form_fields', 'extra_category_fields');
function extra_category_fields( $tag ) {
    $t_id = $tag->term_id;
    $cat_meta = get_option( "cat_$t_id");
?>
<tr class="form-field">
 <th><label for="sub_title"><?php _e("Sub Title Setting","lifefit"); ?></label></th>
 <td><input id="sub_title" type="text" size="36" name="Cat_meta[sub_title]" value="<?php if(isset ( $cat_meta['sub_title'])) echo esc_html($cat_meta['sub_title']) ?>" /><br /><?php _e("We use this Sub title in INdex page and Archive page.","lifefit"); ?></td>
</tr>
<tr class="form-field">
 <th><label for="category_color1"><?php _e("Color Setting","lifefit"); ?></label></th>
 <td><input id="category_color1" class="color {required:false}" type="text" size="36" name="Cat_meta[color1]" value="<?php if(isset ( $cat_meta['color1'])) echo esc_html($cat_meta['color1']) ?>" /><br /><?php _e("If it is blank Default Color will be used instead.","lifefit"); ?></td>
</tr>
<tr class="form-field">
 <th><label for="upload_image"><?php _e("Image<br /><small style='font-weight:normal;'>(Recommend size Width:60px Height:60px)</small>","lifefit"); ?></label></th>
 <td>
  <input id="upload_image" type="text" size="36" name="Cat_meta[img]" value="<?php if(isset ( $cat_meta['img'])) echo esc_html($cat_meta['img']) ?>" /><br />
  <?php _e("Add Image","lifefit"); ?>: <img src="images/media-button-other.gif" alt="<?php _e("Add Image","lifefit"); ?>"  id="upload_image_button" value="Upload Image" style="cursor:pointer;" />
 </td>
</tr>
<?php
}


// データを保存 -------------------------------------------------------
add_action ( 'edited_term', 'save_extra_category_fileds');
function save_extra_category_fileds( $term_id ) {
    if ( isset( $_POST['Cat_meta'] ) ) {
	   $t_id = $term_id;
	   $cat_meta = get_option( "cat_$t_id");
	   $cat_keys = array_keys($_POST['Cat_meta']);
		  foreach ($cat_keys as $key){
		  if (isset($_POST['Cat_meta'][$key])){
			 $cat_meta[$key] = $_POST['Cat_meta'][$key];
		  }
	   }
	   update_option( "cat_$t_id", $cat_meta );
    }
}


?>