<?php

$prefix = 'lifefit_';

$mokuji_meta_box = array(
  'id' => 'mokuji-box',
  'title' => __( 'Outline Setting', 'lifefit' ),
  'context' => 'normal',
  'priority' => 'high',
  'fields' => array(
    array(
      'name' => __( 'Type of Item:', 'lifefit' ),
      'id' => 'mokuji_type',
      'type' => 'checkbox',
      'std' => 'type2',
      'options' => array(
        array('value' => 'type2', 'title' => __( 'Chapter', 'lifefit' ), 'input' => 'hidden'),
        array('value' => 'type1', 'title' => __( 'Index', 'lifefit' ), 'input' => 'checkbox', 'label' => __( 'Use this item for Index', 'lifefit' ))
      )
    ),
    array(
      'name' => __( 'Title of this Item:', 'lifefit' ),
      'id' => 'mokuji_label',
      'type' => 'text',
      'std' => ''
    ),
    array(
      'name' => __( 'URL of this Item:', 'lifefit' ),
      'id' => 'mokuji_url',
      'type' => 'text',
      'std' => ''
    )
  )
);



add_action('admin_menu', 'mokuji_add_box');
// Add meta box
function mokuji_add_box() {
  global $mokuji_meta_box;
  add_meta_box($mokuji_meta_box['id'], $mokuji_meta_box['title'], 'mokuji_show_box', 'post', $mokuji_meta_box['context'], $mokuji_meta_box['priority']);
  add_meta_box($mokuji_meta_box['id'], $mokuji_meta_box['title'], 'mokuji_show_box', 'page', $mokuji_meta_box['context'], $mokuji_meta_box['priority']);
}



// Callback function to show fields in meta box
function mokuji_show_box() {
	global $mokuji_meta_box, $post, $mokuji_design_type_options;

	// Use nonce for verification
	echo '<input type="hidden" name="mokuji_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';

	echo '<p id="mokuji_code">' . __('Short Code for this Outline:', 'lifefit') . '<input type="text" readonly="readonly" value="[mokuji_'.$post->ID.']" /></p>';

	echo '<p><label for="mokuji_design_type">' . __('Design of Outline:', 'lifefit') . '</label>';
	echo '<select id="mokuji_design_type" name="mokuji_design_type">';

	$cf_mokuji_design_type = get_post_meta($post->ID, 'mokuji_design_type', true);

	foreach ( $mokuji_design_type_options as $option ) {
		if ( $cf_mokuji_design_type == $option['value'] ) {
			$selected = 'selected="selected"';
		} else {
			$selected = '';
		}
		echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $option['label'] . '</option>' ."\n";
	}

	echo '</select>';
	echo '</p>';

	echo '<p>' . __('Click Add new Item button to add new Item.<br />Click Arrow button to open Option setting area.<br />Drag Headline to change the order.', 'lifefit') . '<br />' . __('Insert the Short Code to post content to use this Outline.','lifefit') . '</p>';

	echo '<div id="mokuji_area">';

	$arr_cf_mokuji = get_post_meta($post->ID, 'mokuji', true);
	if ($arr_cf_mokuji && is_array($arr_cf_mokuji)) {
		$i = 0;
		foreach($arr_cf_mokuji as $mokuji) {
			$i++;
			if($mokuji['mokuji_type'] == 'type1') {
  				echo '<div class="mokuji_accordion cf type_index">';
			} else {
  				echo '<div class="mokuji_accordion cf type_chapter">';
			}
			echo '<h3 class="mokuji_accordion_headline"><span class="label1"></span><span class="label2">'.esc_html( $mokuji['mokuji_label'] ).'</span><a href="#">'. __('Open', 'lifefit') . '</a></h3>';
			echo '<div class="mokuji_accordion_content">';

			foreach ($mokuji_meta_box['fields'] as $field) {
				echo '<h4>', $field['name'], '</h4>';
				switch ($field['type']) {
					case 'checkbox':
						echo '<fieldset>';
						foreach ($field['options'] as $option) {
							if (isset($option['input']) && $option['input'] == 'hidden') {
								echo '<input type="hidden" name="mokuji['.$i.']['.$field['id'].']" value="'.$option['value'].'" data-title="'.$option['title'].'" />';
							} else {
								$checked = '';
								if (isset($mokuji[$field['id']]) && $mokuji[$field['id']] == $option['value']) {
									$checked = ' checked="checked"';
								}
								echo '<label class="description"><input type="checkbox" name="mokuji['.$i.']['.$field['id'].']" value="'.$option['value'].'"'.$checked.' class="mokuji_type_'. $option['value'] . ' ' . $field['id'].'" data-title="'.$option['title'].'" />'.$option['label'].'</label>';
							}
						}
						echo '</fieldset>';
						break;
/*
					case 'radio':
						echo '<fieldset class="cf">';
						echo '<legend class="screen-reader-text"><span>項目のタイプ</span></legend>';
						foreach ($field['options'] as $option) {
							$checked = '';
							if (isset($mokuji[$field['id']]) && $mokuji[$field['id']] == $option['value']) {
								$checked = ' checked="checked"';
							}
							echo '<label class="description"><input type="radio" name="mokuji['.$i.']['.$field['id'].']" value="'.$option['value'].'"'.$checked.' class="mokuji_type_'. $option['value'] . ' ' . $field['id'].'" />'.$option['name'].'</label>';
						}
						echo '</fieldset>';
						break;
*/
					case 'text':
					default:
						$value = $field['std'];
						$value = '';
						if (isset($mokuji[$field['id']])) {
							$value = $mokuji[$field['id']];
						}
						echo '<input type="text" name="mokuji['.$i.']['.$field['id'].']" id="' . $field['id'] . '" value="'.esc_attr($value).'" size="30" class="'.$field['id'].'" style="width:100%;" />';
						break;
				}

			}

			echo '<a href="#" class="delete_mokuji">' . __('Delete this Item', 'lifefit') . '</a>';
			echo '</div><!-- END .mokuji_accordion_content -->';
			echo '</div><!-- END .mokuji_accordion -->';

		}
	}


	echo '</div><!-- END #mokuji_area -->';

	echo '<a href="#" id="add_mokuji">' . __('Add new Item', 'lifefit') . '</a>';

	$i = 0;
	echo '<div id="mokuji_default" class="mokuji_accordion cf open type_chapter" style="display:none;">';
	echo '<h3 class="mokuji_accordion_headline"><span class="label1"></span><span class="label2"></span><a href="#">' . __('Open', 'lifefit') .  '</a></h3>';
	echo '<div class="mokuji_accordion_content">';

	foreach ($mokuji_meta_box['fields'] as $field) {
		echo '<h4>', $field['name'], '</h4>';
		switch ($field['type']) {
			case 'checkbox':
				echo '<fieldset>';
				foreach ($field['options'] as $option) {
					if (isset($option['input']) && $option['input'] == 'hidden') {
						echo '<input type="hidden" name="mokuji['.$i.']['.$field['id'].']" value="'.$option['value'].'" data-title="'.$option['title'].'" disabled="disabled" />';
					} else {
						$checked = '';
						if (isset($mokuji[$field['id']]) && $mokuji[$field['id']] == $option['value']) {
							$checked = ' checked="checked"';
						}
						echo '<label class="description"><input type="checkbox" name="mokuji['.$i.']['.$field['id'].']" value="'.$option['value'].'"'.$checked.' class="mokuji_type_'. $option['value'] . ' ' . $field['id'].'" data-title="'.$option['title'].'" disabled="disabled" />'.$option['label'].'</label>';
					}
				}
				echo '</fieldset>';
				break;
/*

				echo '<fieldset class="cf">';
				echo '<legend class="screen-reader-text"><span>項目のタイプ</span></legend>';
				foreach ($field['options'] as $option) {
					$checked = '';
					if (isset($field['std']) && $field['std'] == $option['value']) {
						$checked = ' checked="checked"';
					}
					echo '<label class="description"><input type="radio" name="mokuji['.$i.']['.$field['id'].']" value="'.$option['value'].'"'.$checked.' class="mokuji_type_'. $option['value'] . ' ' .$field['id'].'" disabled="disabled" />'.$option['name'].'</label>';
				}
				echo '</fieldset>';
				break;
*/
			case 'text':
			default:
				$value = '';
				if (isset($field['std'])) {
					$value = $field['std'];
				}
				echo '<input type="text" name="mokuji['.$i.']['.$field['id'].']" id="' . $field['id'] . '" value="'.esc_attr($value).'" size="30" class="'.$field['id'].'" style="width:100%;" disabled="disabled" />';
				break;
		}
	}

	echo '<a href="#" class="delete_mokuji">' . __('Delete this Item', 'lifefit') . '</a>';
	echo '</div><!-- END .mokuji_accordion_content -->';
	echo '</div><!-- END .mokuji_accordion -->';

	$cf_mokuji_free1 = get_post_meta($post->ID, 'mokuji_free1', true);
	echo '<p><label for="mokuji_free1">' . __('Free input column for Outline. (top of outline)', 'lifefit') . '</label></p>';
  echo '<p><textarea name="mokuji_free1" id="mokuji_free1" cols="60" rows="4" style="width:97%">' . $cf_mokuji_free1 . '</textarea></p>';

	$cf_mokuji_free2 = get_post_meta($post->ID, 'mokuji_free2', true);
	echo '<p><label for="mokuji_free2">' . __('Free input column for Outline. (bottom of outline)', 'lifefit') . '</label></p>';
  echo '<p><textarea name="mokuji_free2" id="mokuji_free2" cols="60" rows="4" style="width:97%">' . $cf_mokuji_free2 . '</textarea></p>';

}



add_action('save_post', 'mokuji_save_data');
// Save data from meta box

function mokuji_save_data($post_id) {
  global $mokuji_meta_box;

  // verify nonce
  if (!isset($_POST['mokuji_meta_box_nonce']) || !wp_verify_nonce($_POST['mokuji_meta_box_nonce'], basename(__FILE__))) {
    return $post_id;
  }

  // check autosave
  if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
    return $post_id;
  }

  // check permissions
  if ('page' == $_POST['post_type']) {
    if (!current_user_can('edit_page', $post_id)) {
      return $post_id;
    }
  } elseif (!current_user_can('edit_post', $post_id)) {
      return $post_id;
  }

  if (isset($mokuji[0])) {
    unset($mokuji[0]);
  }

  $fields = array('mokuji_design_type', 'mokuji_free1', 'mokuji_free2', 'mokuji');
  foreach ($fields as $field) {
    $old = get_post_meta($post_id, $field, true);
    if (isset($_POST[$field])) {
      $new = $_POST[$field];
    } else {
      $new = '';
    }

    if ($new && $new != $old) {
      update_post_meta($post_id, $field, $new);
    } elseif ('' == $new && $old) {
      delete_post_meta($post_id, $field, $old);
    }
  }

}


// do mokuji shortcode
function mokuji_do_shortcode($content) {
	if (preg_match_all('/(?:<p>)?\[mokuji_(\d+).*?\](?:<\/p>)?/', $content, $maches)) {
		foreach($maches[0] as $key => $value) {
			$content = str_replace($value, get_mokuji($maches[1][$key]), $content);
		}
	}
	return $content;
}

// remove mokuji shortcode
function mokuji_remove_shortcode($content) {
	if (preg_match_all('/\[mokuji_\d+.*?\]/', $content, $maches)) {
		foreach($maches[0] as $value) {
			$content = preg_replace('/'.preg_quote($value).'\s*/', '', $content);
		}
	}
	return $content;
}

// the_content filter
function mokuji_the_content($content) {
	if (is_singular()) {
		$content = mokuji_do_shortcode($content);
	} else {
		$content = mokuji_remove_shortcode($content);
	}
	return $content;
}
add_filter('the_content', 'mokuji_the_content', 11);

// excerpt filter
function mokuji_get_the_excerpt($excerpt) {
	remove_filter('the_content', 'mokuji_do_shortcode', 11);
	add_filter('the_content', 'mokuji_remove_shortcode', 1);
	return $excerpt;
}
add_action('get_the_excerpt', 'mokuji_get_the_excerpt', 9);

function mokuji_get_the_excerpt2($excerpt) {
	add_filter('the_content', 'mokuji_do_shortcode', 11);
	remove_filter('the_content', 'mokuji_remove_shortcode', 1);
	return $excerpt;
}
add_action('get_the_excerpt', 'mokuji_get_the_excerpt', 12);


// mokuji template function for post/page
function the_mokuji($post_id = null) {
	echo get_mokuji($post_id);
}
function get_mokuji($post_id = null) {
	global $post, $options;
	if (!$post_id) $post_id = $post->ID;
	if (!$post_id) return null;

	$mokuji_data = get_post_meta($post_id, 'mokuji', true);
	if (!$mokuji_data) return null;

	$mokuji_design_type = get_post_meta($post_id, 'mokuji_design_type', true);
	if (!$mokuji_design_type) $mokuji_design_type = 'type1';

	$mokuji_free1 = get_post_meta($post_id, 'mokuji_free1', true);

	$mokuji_free2 = get_post_meta($post_id, 'mokuji_free2', true);

	return get_mokuji_html($mokuji_data, $mokuji_design_type, $mokuji_free1, $mokuji_free2);
}

// mokuji template function for theme option
function the_home_mokuji() {
	echo get_home_mokuji();
}
function get_home_mokuji() {
	global $options;
	if (!$options) $options = get_pospa_option();
	return get_mokuji_html($options['mokuji'], $options['mokuji_design_type'], $options['mokuji_free1'], $options['mokuji_free2']);
}

// create mokuji html
function get_mokuji_html($mokuji_data, $mokuji_design_type = 'type1', $mokuji_free1, $mokuji_free2) {
	$output = '';
	if (!empty($mokuji_data) && is_array($mokuji_data)) {

		$i = 0;

		foreach($mokuji_data as $mokuji) {
			$mokuji['mokuji_label'] = trim($mokuji['mokuji_label']);
			if (empty($mokuji['mokuji_label'])) continue;

			// chapter or index
			if ($mokuji['mokuji_type'] == 'type2') {
				$output .= '  <dd class="clearfix"><span>' . ++$i . '.</span>';
			} else {
				$i = 0;
				$output .= '  <dt>';
			}

			// link
			if (!empty($mokuji['mokuji_link'])) {
				$output .= '<a href="'.$mokuji['mokuji_link'].'">'.esc_html($mokuji['mokuji_label']).'</a>';
			} elseif (!empty($mokuji['mokuji_url'])) {
				$output .= '<a href="'.$mokuji['mokuji_url'].'">'.esc_html($mokuji['mokuji_label']).'</a>';

			// no link
			} else {
				$output .= esc_html($mokuji['mokuji_label']);
			}

			// chapter or index
			if ($mokuji['mokuji_type'] == 'type2') {
				$output .= "</dd>\n";
			} else {
				$output .= "</dt>\n";
			}
		}

		if ($output) {
			if (!empty($mokuji_free1)) {
				$mokuji_free1 = '<div class="post_content mokuji_free clearfix">' . $mokuji_free1 . "</div>\n";
			};

			if (!empty($mokuji_free2)) {
				$mokuji_free2 = '<div class="post_content mokuji_free clearfix">' . $mokuji_free2 . "</div>\n";
			};
			$output = $mokuji_free1 . '<dl class="mokuji_list '.$mokuji_design_type.'">'."\n".$output.'</dl>' . $mokuji_free2;
		}
	}

	return $output;
}


?>
