<!DOCTYPE html>
<!--[if IE 7]><html class="ie ie7 pc" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html class="ie ie8 pc" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!--><html class="modern pc" <?php language_attributes(); ?>><!--<![endif]-->
<head>
<meta charset="<?php bloginfo('charset'); ?>">
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><![endif]-->
<meta name="viewport" content="width=device-width,initial-scale=1.0" />
<title><?php seo_title(); ?></title>
<meta name="description" content="<?php seo_description(); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" /> 
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php $options = get_pospa_option(); ?>

<?php if($options['header_code']) { echo $options['header_code']; };?>

<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style.css<?php version_num(); ?>">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/comment-style.css<?php version_num(); ?>">
<link rel="stylesheet" media="screen and (max-width:640px)" href="<?php echo get_template_directory_uri(); ?>/mobile.css<?php version_num(); ?>">

<?php if($options['use_style_headline']) { ?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/headline.css<?php version_num(); ?>">
<?php }; ?>

<?php wp_enqueue_script( 'jquery' ); ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?> 
<?php wp_head(); ?>

<script src="<?php echo get_template_directory_uri(); ?>/js/modernizr.js<?php version_num(); ?>"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/jscript.js<?php version_num(); ?>"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/scroll.js<?php version_num(); ?>"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/comment.js<?php version_num(); ?>"></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/fixed_ad.js<?php version_num(); ?>"></script>

<?php if(is_home() and $options['header_type']=='slider') { ?>
<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.flexslider.js<?php version_num(); ?>"></script>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/js/flexslider.css<?php version_num(); ?>">
<script type="text/javascript">
jQuery(window).on('load',function() {
 jQuery('.flexslider').flexslider({
   slideshowSpeed: 7000,
   directionNav: false
 });
});
</script>
<?php }; ?>

<?php if($options['show_slider']) { ?>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/js/owl.carousel.css" type="text/css" />
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/owl.carousel.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function($){
 $("#recommend_post").owlCarousel({
  autoPlay: 5000,
  items: 5,
  itemsDesktop: [1000,5],
  itemsDesktopSmall: [1206,5],
  itemsTablet: [1000,5],
  itemsMobile: [640,1],
  stopOnHover: true,
  navigation: true,
  pagination: true
 });
});
</script>
<?php }; ?>

<style type="text/css">
body { font-size:<?php echo $options['content_font_size']; ?>px; }

.pc body { border-top:3px solid #<?php echo $options['pickedcolor1']; ?>; }
.mobile .inner_wrap { border-top:3px solid #<?php echo $options['pickedcolor1']; ?>; }

.pc #logo_image { top:<?php echo $options['logotop']; ?>px; left:<?php echo $options['logoleft']; ?>px; }

.post_content blockquote:before, .post_content blockquote:after
  { color:#<?php echo $options['pickedcolor1']; ?>; }

a { color:#<?php echo $options['pickedcolor2']; ?>; }

a:hover, #related_post .title a:hover, #content_slider .post_meta_top a:hover, #bread_crumb li a:hover, #archive_post_list1 li li a:hover, #archive_post_list2 li li a:hover,
 .pc #global_menu li a:hover, .pc #global_menu li a:hover span, #logo_text a:hover, #footer a:hover, #copyright a:hover, #default_post_list_style .title a:hover
  { color:#<?php echo $options['pickedcolor3']; ?>; }

#post_list .post_date, #nav #search_button, .widget_search #search-btn input, .widget_search #searchsubmit, #wp-calendar td#today, .pc #global_menu ul ul a:hover, .post_list_date,
 #content_slider a.link:hover, .flex-control-paging li a:hover, .flex-control-paging li a.flex-active, .page_navi a:hover, .page_navi .back a:hover, #default_post_list_style a.more-link:hover,
  #wp-calendar td a:hover, #wp-calendar #prev a:hover, #wp-calendar #next a:hover, #submit_comment:hover, #post_single_date, .headline1,
   #comment_header li.comment_switch_active a, #comment_header li#comment_closed p, #comment_header li a:hover, #default_post_list_style .post_date,
    .post_content h1:before, .post_content h2:before, .post_content h3:before, .post_content h5:before,
     .mokuji_list.type1 dt:before, .mokuji_list.type2 dt:before, .mokuji_list.type3 dt:before, .mokuji_list.type4 dt:before, .mokuji_list.type5 dt:before, .mokuji_list.type6 dt:before, .mokuji_list.type7 dt:before, .mokuji_list.type8 dt:before
      { background-color:#<?php echo $options['pickedcolor1']; ?>; }

.widget_search #search-btn input:hover, .widget_search #searchsubmit:hover
 { background-color:#<?php echo $options['pickedcolor3']; ?>; }

#guest_info input:focus, #comment_textarea textarea:focus
 { border:1px solid #<?php echo $options['pickedcolor3']; ?>; }

.headline2, .single_title
 { border-bottom:3px solid #<?php echo $options['pickedcolor1']; ?>; }

.post_content h4:before, .post_content h6:before { border-color:#<?php echo $options['pickedcolor1']; ?>; }

<?php get_template_part('functions/category_style'); ?>

<?php if($options['css_code']) { echo $options['css_code']; };?>

</style>

<?php if (strtoupper(get_locale()) == 'JA') : ?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/japanese.css<?php version_num(); ?>" type="text/css" />
<?php endif; ?>

<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js<?php echo version_num(); ?>"></script>
<![endif]-->


</head>
<body <?php body_class(); ?>>

<div id="outer_wrap">

 <div id="header_wrap">
 <div id="header" class="clearfix">

  <!-- logo -->
  <?php the_dp_logo(); ?>

  <!-- tagline -->
  <h2 id="site_description"><?php echo bloginfo('description'); ?></h2>

  <!-- global menu -->
  <?php
       if (has_nav_menu('global-menu')) {
  ?>
  <div id="global_menu" class="clearfix">
   <?php wp_nav_menu( array( 'sort_column' => 'menu_order', 'theme_location' => 'global-menu' , 'container' => '' , 'walker' => new description_walker) ); ?>
  </div>
  <?php }; ?>

  <!-- mobile menu button -->
  <a href="#" id="menu_button"><?php _e('menu', 'lifefit'); ?></a>

  <!-- social button -->
  <?php if ($options['show_rss'] or $options['twitter_url'] or $options['facebook_url']) { ?>
  <ul id="social_link" class="clearfix">
   <?php if ($options['show_rss']) : ?>
   <li class="rss"><a class="target_blank" href="<?php bloginfo('rss2_url'); ?>">rss</a></li>
   <?php endif; ?>
   <?php if ($options['twitter_url']) : ?>
   <li class="twitter"><a class="target_blank" href="<?php echo $options['twitter_url']; ?>">twitter</a></li>
   <?php endif; ?>
   <?php if ($options['facebook_url']) : ?>
   <li class="facebook"><a class="target_blank" href="<?php echo $options['facebook_url']; ?>">facebook</a></li>
   <?php endif; ?>
  </ul>
  <?php }; ?>

 </div><!-- END #header -->
 </div>

 <?php get_template_part('header_contents'); ?>

 <div id="contents" class="clearfix">