<?php

class about_widget extends WP_Widget {

 // constructor
 function about_widget() {
   $widget_ops = array( 'classname' => 'about_widget', 'description' => __('You can show your site description here.','lifefit') ); // Widget Settings
   $control_ops = array( 'id_base' => 'about_widget' ); // Widget Control Settings
   $this->WP_Widget( 'about_widget', __('About this site (POSPA ver)','lifefit'), $widget_ops, $control_ops ); // Create the widget
 }

 // widget form creation
 function form($instance) {

   if($instance) {
     $title = esc_attr($instance['title']);
     $about_code = esc_textarea($instance['about_code']);
     $bookmark = esc_attr($instance['bookmark']);
   } else {
     $title = __('About this site.', 'lifefit');
     $about_code = '';
     $bookmark = '';
   }

?>
<p style="margin-bottom:5px;"><?php _e('Title', 'lifefit'); ?></p>
<p><input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
<p style="margin-bottom:5px;"><?php _e('About this site.You can use html tag here.', 'lifefit'); ?></p>
<p><textarea style="width:100%; height:150px;" id="<?php echo $this->get_field_id('about_space'); ?>" name="<?php echo $this->get_field_name('about_code'); ?>"><?php echo $about_code; ?></textarea></p>
<p>
 <input id="<?php echo $this->get_field_id('bookmark'); ?>" name="<?php echo $this->get_field_name('bookmark'); ?>" type="checkbox" value="1" <?php checked( '1', $bookmark ); ?> />
 <label for="<?php echo $this->get_field_id('bookmark'); ?>"><?php _e('Check if you want to show bookmark.', 'lifefit'); ?></label>
</p>

<?php
 }

 // Update Settings
 function update($new_instance, $old_instance) {
  $instance = $old_instance;
  $instance['title'] = strip_tags($new_instance['title']);
  $instance['about_code'] = $new_instance['about_code'];
  $instance['bookmark'] = strip_tags($new_instance['bookmark']);
  return $instance;
 }

 // display widget
 function widget($args, $instance) {
   extract( $args );
   // these are the widget options
   $title = apply_filters('widget_title', $instance['title']);
   $about_code = $instance['about_code'];
   $bookmark = $instance['bookmark'];
   echo $before_widget;

   if ( $title ) {
      echo $before_title . $title . $after_title;
   }

   if( $about_code ) {
     echo "<div id='about_site_top'>\n" . $about_code . "\n</div>\n";
   }

   if( $bookmark == '1' ) {
    echo "<div id='about_site_bottom'>\n";
    include('bookmark.php');
    echo "</div>\n";
   }

   echo $after_widget;
 }

}

add_action('widgets_init', create_function('', 'return register_widget("about_widget");'));

?>