<?php

 // Start class widget //
 class category_post_widget2 extends WP_Widget {

 // Constructor //
 function category_post_widget2() {
  $widget_ops = array( 'classname' => 'category_post_widget2', 'description' => __('The optimal category post list will be displayed for every page.', 'lifefit') ); // Widget Settings
  $control_ops = array( 'id_base' => 'category_post_widget2' ); // Widget Control Settings
  $this->WP_Widget( 'category_post_widget2', __('Category post2 (POSPA ver)', 'lifefit'), $widget_ops, $control_ops ); // Create the widget
 }

 // Extract Args //
 function widget($args, $instance) {
  extract( $args );
   $title = apply_filters('widget_title', $instance['title']); // the widget title
   $post_num = $instance['post_num'];
   $category_num = $instance['featured_category'];
   $show_thumbnail = $instance['show_thumbnail'];
   $post_order = $instance['post_order'];
   if($post_order=='date2'){ $order = 'ASC'; } else { $order = 'DESC'; };
   if($post_order=='date1'||$post_order=='date2'){ $post_order = 'date'; };

   // Before widget //
   echo $before_widget;

   // Title of widget //
   if ( $title ) { echo $before_title . $title . $after_title; }

   // Widget output //
if(is_category()) {
   $cat = get_queried_object();
   $cat_id = $cat->term_id;
   $args = array('post_type' => 'post', 'posts_per_page' => $post_num, 'cat' => $cat_id, 'orderby' => $post_order, 'order' => $order);
} elseif(is_single()) {
   global $post;
   $categories = get_the_category($post->ID);
   $cat_id = $categories[0]->term_id;
   $args = array('post_type' => 'post', 'posts_per_page' => $post_num, 'cat' => $cat_id, 'orderby' => $post_order, 'order' => $order);
} else {
   $args = array('post_type' => 'post', 'posts_per_page' => $post_num, 'cat' => $category_num, 'orderby' => $post_order, 'order' => $order);
};

   $category_post=new WP_Query($args);
   if ($category_post->have_posts()) {
?>
<ol class="widget_post_list">
 <?php $options = get_pospa_option(); while ($category_post->have_posts()) : $category_post->the_post(); ?>
 <li class="clearfix">
  <?php if($show_thumbnail == '1') { if ($options['show_thumbnail']) { ?>
  <a class="image" href="<?php the_permalink() ?>"><?php if ( has_post_thumbnail()) { the_post_thumbnail('size4'); } else { echo '<img src="'; bloginfo('template_url'); echo '/img/common/no_image4.gif" alt="" title="" />'; }; ?></a>
  <?php }; }; ?>
  <div class="info">
   <?php if ($options['show_date']) : ?><p class="date"><?php the_time('Y.m.d'); ?></p><?php endif; ?>
   <a class="title" href="<?php the_permalink() ?>"><?php the_title(); ?></a>
  </div>
 </li>
 <?php endwhile; ?>
</ol>
<?php } else { ?>
 <p><?php _e("There is no registered post.","lifefit"); ?></p>
<?php }; wp_reset_query(); ?>
<?php

   // After widget //
   echo $after_widget;

} // end function widget


 // Update Settings //
 function update($new_instance, $old_instance) {
  $instance['title'] = strip_tags($new_instance['title']);
  $instance['post_num'] = $new_instance['post_num'];
  $instance['featured_category'] = $new_instance['featured_category'];
  $instance['show_thumbnail'] = $new_instance['show_thumbnail'];
  $instance['post_order'] = $new_instance['post_order'];
  return $instance;
 }

 // Widget Control Panel //
 function form($instance) {
  $defaults = array( 'title' => __('Category post', 'lifefit'), 'post_num' => '3', 'featured_category' => '', 'show_thumbnail' => '1', 'post_order' => 'date1');
  $instance = wp_parse_args( (array) $instance, $defaults );

  global $featured_category_options;
  $featured_category_options[0] = array(
   'value' => 0,
   'label' => ''
  );
  $dp_cats = get_categories('orderby=id');
  foreach( $dp_cats as $dp_cat ) :
   $featured_category_options[$dp_cat->cat_ID] = array(
    'value' => $dp_cat->cat_ID,
    'label' => $dp_cat->cat_name
   );
  endforeach;

?>
<p><?php _e('The optimal category post list will be displayed for every page.', 'lifefit'); ?></p>
<p>
 <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'lifefit'); ?></label>
 <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>'" type="text" value="<?php echo $instance['title']; ?>" />
</p>
<p>
 <label for="<?php echo $this->get_field_id('featured_category'); ?>"><?php _e('Select category:', 'lifefit'); ?></label>
 <select id="featured_cat" name="<?php echo $this->get_field_name('featured_category'); ?>" class="widefat" style="width:100%;">
  <?php
       foreach ( $featured_category_options as $option ) :
        $label = $option['label'];
        $selected = '';
        if ( $instance['featured_category'] == $option['value']) {
         $selected = 'selected="selected"';
        } else {
         $selected = '';
        }
         echo '<option style="padding-right: 10px;" value="' . esc_attr( $option['value'] ) . '" ' . $selected . '>' . $label . '</option>' ."\n";
       endforeach;
  ?>
 </select>
 <span style="font-size:11px; margin:5px 0 12px; display:block;"><?php _e('This category is used except a category archive page and single page.','lifefit'); ?></span>
</p>
<p>
 <label for="<?php echo $this->get_field_id('post_num'); ?>"><?php _e('Number of post:', 'lifefit'); ?></label>
 <select id="<?php echo $this->get_field_id('post_num'); ?>" name="<?php echo $this->get_field_name('post_num'); ?>" class="widefat" style="width:100%;">
  <option value="1" <?php selected('1', $instance['post_num']); ?>>1</option>
  <option value="3" <?php selected('3', $instance['post_num']); ?>>3</option>
  <option value="5" <?php selected('5', $instance['post_num']); ?>>5</option>
  <option value="10" <?php selected('10', $instance['post_num']); ?>>10</option>
  <option value="-1" <?php selected('-1', $instance['post_num']); ?>><?php _e('All', 'lifefit'); ?></option>
 </select>
</p>
<p>
 <label for="<?php echo $this->get_field_id('post_order'); ?>"><?php _e('Post order:', 'lifefit'); ?></label>
 <select id="<?php echo $this->get_field_id('post_order'); ?>" name="<?php echo $this->get_field_name('post_order'); ?>" class="widefat" style="width:100%;">
  <option value="date1" <?php selected('date1', $instance['post_order']); ?>><?php _e('Date (DESC)', 'lifefit'); ?></option>
  <option value="date2" <?php selected('date2', $instance['post_order']); ?>><?php _e('Date (ASC)', 'lifefit'); ?></option>
  <option value="rand" <?php selected('rand', $instance['post_order']); ?>><?php _e('Random', 'lifefit'); ?></option>
 </select>
</p>
<p>
 <label for="<?php echo $this->get_field_id('show_thumbnail'); ?>"><?php _e('Display thumbnail:', 'lifefit'); ?></label>
 <input id="<?php echo $this->get_field_id('show_thumbnail'); ?>" name="<?php echo $this->get_field_name('show_thumbnail'); ?>" type="checkbox" value="1" <?php checked( '1', $instance['show_thumbnail'] ); ?> />
</p>
<?php
 } // end function form
}

// End class widget
add_action('widgets_init', create_function('', 'return register_widget("category_post_widget2");'));
?>
