<?php

 // Start class widget //
 class popular_widget extends WP_Widget {

 // Constructor //
 function popular_widget() {
  $widget_ops = array( 'classname' => 'popular_widget', 'description' => __('Displays your popular posts.', 'lifefit') ); // Widget Settings
  $control_ops = array( 'id_base' => 'popular_widget' ); // Widget Control Settings
  $this->WP_Widget( 'popular_widget', __('Popular post (POSPA ver)', 'lifefit'), $widget_ops, $control_ops ); // Create the widget
 }

 // Extract Args //
 function widget($args, $instance) {
  extract( $args );
   $title = apply_filters('widget_title', $instance['title']); // the widget title
   $post_num = $instance['post_num']; // the type of posts to show
   $show_image = $instance['show_image'];

   // Before widget //
   echo $before_widget;

   // Title of widget //
   if ( $title ) { echo $before_title . $title . $after_title; }

   // Widget output //
   $args = array('post_type' => 'post', 'posts_per_page' => $post_num, 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num');
   $popular_post=new WP_Query($args);
   if ($popular_post->have_posts()) {
?>
<ol class="widget_post_list">
 <?php $options = get_pospa_option(); while ($popular_post->have_posts()) : $popular_post->the_post(); ?>
 <li class="clearfix">
  <?php if ($options['show_thumbnail']) { if ($show_image == 1) : ?>
  <a class="image" href="<?php the_permalink() ?>"><?php if ( has_post_thumbnail()) { the_post_thumbnail('size4'); } else { echo '<img src="'; bloginfo('template_url'); echo '/img/common/no_image4.gif" alt="" title="" />'; }; ?></a>
  <?php endif; }; ?>
  <div class="info">
   <?php if ($options['show_date']) : ?><p class="date"><?php the_time('Y.m.d'); ?></p><?php endif; ?>
   <a class="title" href="<?php the_permalink() ?>"><?php the_title(); ?></a>
  </div>
 </li>
 <?php endwhile; ?>
</ol>
<?php } else { ?>
 <p><?php _e("There is no registered post.","lifefit"); ?></p>
<?php }; wp_reset_query(); ?>
<?php

   // After widget //
   echo $after_widget;

} // end function widget


 // Update Settings //
 function update($new_instance, $old_instance) {
  $instance['title'] = strip_tags($new_instance['title']);
  $instance['post_num'] = $new_instance['post_num'];
  $instance['show_image'] = $new_instance['show_image'];
  return $instance;
 }

 // Widget Control Panel //
 function form($instance) {
  $defaults = array( 'title' => __('Popular post', 'lifefit'), 'post_num' => '3', 'show_image' => '1');
  $instance = wp_parse_args( (array) $instance, $defaults );
?>
<p>
 <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'lifefit'); ?></label>
 <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>'" type="text" value="<?php echo $instance['title']; ?>" />
</p>
<p>
 <label for="<?php echo $this->get_field_id('post_num'); ?>"><?php _e('Number of post:', 'lifefit'); ?></label>
 <select id="<?php echo $this->get_field_id('post_num'); ?>" name="<?php echo $this->get_field_name('post_num'); ?>" class="widefat" style="width:100%;">
  <option value="3" <?php selected('3', $instance['post_num']); ?>>3</option>
  <option value="4" <?php selected('4', $instance['post_num']); ?>>4</option>
  <option value="5" <?php selected('5', $instance['post_num']); ?>>5</option>
  <option value="6" <?php selected('6', $instance['post_num']); ?>>6</option>
  <option value="7" <?php selected('7', $instance['post_num']); ?>>7</option>
  <option value="8" <?php selected('8', $instance['post_num']); ?>>8</option>
  <option value="9" <?php selected('9', $instance['post_num']); ?>>9</option>
  <option value="10" <?php selected('10', $instance['post_num']); ?>>10</option>
 </select>
</p>
<p>
 <input id="<?php echo $this->get_field_id('show_image'); ?>" name="<?php echo $this->get_field_name('show_image'); ?>" type="checkbox" value="1" <?php checked( '1', $instance['show_image'] ); ?> />
 <label for="<?php echo $this->get_field_id('show_image'); ?>"><?php _e('Display Thumbnail', 'lifefit'); ?></label>
</p>
<?php
 } // end function form
}

// End class widget
add_action('widgets_init', create_function('', 'return register_widget("popular_widget");'));
?>
